                               DOCUMENTATION


    1   OVERVIEW

SP is a packet radio terminal program for IBM compatibles.

SP is freely copyable as long as the disk is an exact mirror image of the
distribution disk.  You have the right to alter SP to suit your personal
needs but you must not redistribute such changes.


NOTE:

* This program has been placed into the Public Domain by the author,
  and it may be copied freely for non profit purposes.

* This documentation is not up to date.  Users are encouraged to find
  the differences between the program and the DOC file

* There is no SPO.EXE, since it runs as overlay version only

* There are comamnds and functions in the manual which are no longer
  in the program

* There are commands and functions in the program which are not in the manual.

* There are no warranties.

* There is no hotline

* There is no support whatsoever.  Use it or for get it.

* 

In order to correctly install and operate SP you require a working
knowledge of computers beyond those of a beginner.  Please consider that
before calling for help.


SP requires a TNC2 with WA8DED EPROM.  If need be, and only if there is no
other way, you may use the program TFPCR.COM in conjunction with a KISS TNC
but be warned that this may not be trivial to get working.

A reasonable alternative is a DRSI PC*PA, four of which can be controlled by
SP as though they were a single TNC.

An additional alternative, thanks to DG0FT, ex Y51GE, is the program
TFPPCX.EXE, which can be used to emulate a TNC using a DIGICOM or
BAYCOM modem.  It is to be installed just like TFPCR.


    2   INSTALLATION

The following minimum hardware is required:

IBM XT with 640k RAM, hard disk, monochrome monitor and TNC2 or DRSI.


Suggested configuration:
IBM AT with 2MB RAM, VGA screen, hard disk and TNC2.


    2.2 IBM installation

Due to the multitude of hardware configurations, installing SP on an IBM may
present somewhat of a challenge.  It is best to use the INSTALL.COM program
to install SP and configure the most important parameters automatically.

INSTALL.COM does not work with OS/2, WINDOWS or floppy disks.  Note
that it is not possibe to install SP using only 360k disks!

NOTE the virus protection.  Once in a while, SP will during startup
check itself for possible infection (you may notice an undue delay
while starting SP).  If any changes were made to SP.EXE or SPO.EXE,
the program is deleted and the computer is restarted.  DO NOT USE
LZEXE or alter the program in any way!

    2.3 SP configuration

SP is configured through a text file called CONFIG.SP.  Nearly all
operating parameters can be set there. The file is line oriented, every
command consists of three capital letters, an equal sign and a parameter.
Any line starting with a cross-hatch (#) is a comment line.  Blank lines
are not permitted.

Multiple CONFIG.SP files may be used.  There are two methods of selecting
an alternate CONFIG file:

- using the environment variable SPCFG:
  SET SPCFG=CONFIG.2  causes SP to load CONFIG.2

- using the command line parameter:
  SP -cCONFIG.1

Note: only a file name may be specified, immediately following the "-c",
no further command line parameters are allowed, the "c" must be lower case.

CONFIG.SP lines may contain leading and trailing spaces and comments
within lines, eg
REM=0     # no remote commands allowed
If a "#" is required inside text, it has to be doubled, e.g. "##".

Lines starting with a curly brace are special.  The left curly brace in
conjunction with a capital letter or digit starts an optional set of
parameters which is terminated by a right curly brace.  The letter following
the left brace is typed on the SP command line with a leading dash.  If no
command line parameter is used, "0" is assumed as default.  A good example
of using the curly braces is multiple configurations, where SP can be started
using either one or two TNCs.

The special letters "c" and "m" are used internally by SP only, and delimit
color and monochrome text attributes, respectively.  Thus, SP can start with
default colors upon detection of the video type.

The special letter "w" is generated by SP if running under a multitasking
manager such as WINDOWS.

Here is an example, using 1 TNC as default and optionally 2 TNCs:

{0
CFG=TNCS:1
}
{1
CFG=TNCS:2
}
CFG=PORT0:1
CFG=BAUD0:9600
CFG=CHANS0:10
{1
CFG=PORT1:2
CFG=BAUD1:9600
CFG=CHANS1:10
}

The command

C>sp
starts with 1 TNC using COM1

C>sp -1
starts with two TNCs on COM1 and COM2


There are two basic types of configuration commands, TNC-config and operating
parameters. Commands starting with CFG= are TNC configuration.

Operating parameters take a multitude of arguments, numeric unlimited,
numeric range, lists, strings, color names.  Many are "on/off" where OFF=0
and ON=any value other than 0.

Color names are used for screen attributes.  All screen attribute commands
start with "A".  Colors can also be specified numerically.

Numbers can be specified in decimal, or in hexadecimal by prepending a "$".

Please note: The last line of CONFIG.SP must be terminated by RETURN, some
editors refuse to terminate the last line automatically!


    2.4 TNC configuration

CFG= is used to set two general and 5 TNC-specific parameters:


    2.4.1 Screen configuration (IBM only)

CFG=VIDEO:n

"n" may have th efollowing values:

0 = "any" video controller
1 = 43 line EGA
2 = 50 or 60 line VGA
x = DECIMAL representation of the video mode to be set

Attention: using EGA/VGA with a monochrome schreen, ",M" must be appended,
e.g. CFG=VIDEO:2,M

Special video configuration:  If you need to use a special video mode,
it is now possible to incorporate up to 32 bytes of program code. The code
must follow "CFG=VIDEO:0" and must be in hexadecimal.  The following
example shows setup of 34 line mode using an ET4000 VGA:
    CFG=VIDEO:0,b8,26,00,cd,10,b8,11,11,b3,00,cd,10


    2.4.2 Operating language

German and english messages are incorporated into SP.  The language is
selected by:

CFG=LANG:n

n = 0 : german
n = 1 : english


    2.4.3 TNC configuration

Number of TNCs:

CFG=TNCS:n

"n" is the actual number of TNCs (note that DRSI PC*PA always counts as ONE
TNC!)


Select COM port:

CFG=PORTx:n

x = TNC number (TNCs are sequentially numbered from 0)
n = port number (normally the COM number)


Select baud rate:

CFG=BAUDx:n

x = TNC number
n = Baud rate (1200,2400,4800,9600,19200,38400)
Baud rate need not be set for DRSI, TFPCR, or TFPCX.


Number of channels:

CFG=CHANSx:n

x = TNC number
n = Number of channels for this TNC.

The number of channels must not exceed the total number of channels the
EPROM can process, the total number of channels used with all TNCs must
not exceed 40.


VARIATIONS

- nonstandard interfaces:

The so-called IBM standard is valid for COM1 and COM2 only.  COM3 and 4 are
supported but the "standard" calls for the same IRQ lines as COm1/2, which
is totally unacceptable.  Thus, most RS232 cards are jumpered to use IRQ2 for
COM3 and IRQ5 for COM4.

AT-specific IRQs can be used if a 16-bit RS232 card is used.

In order to usw an interface with non-standard port or IRQ, these values may
be specified in CONFIG.SP thusly:

CFG=PORTx:n,p,i

x = TNC number
n = COM-port (1-4)
p = port address in hexadecimal
i = IRQ number for this port

Example:

CFG=PORT0:4,3b8,5


- multiple TNCs using one interface

There is a way to use multiple TNCs on one RS232 port by switching between
TNCs using DTR and RTS.  Anyone wishing to receive further information could try to contact me or DB9AP @ DK0MAV...


- TFPCR (IBM only)

With TFPCR, any KISS TNC can be used with SP, this is not recommended (you
should buy a TNC2 since it works, which is something I cannot honestly say
about those multimode boxes).  Use "5" as com port specification, do not
specify the baud rate since it is set by TFPCR.  The TFPCR vector is
determined automatically.

If TFPCR is loaded high (LOADHIGH TFPCR) then use "5H" as port.

The same applies for TFPCX.


- DRSI PC*PA (IBM only)

If a DRSI PC*PA is used, specify "D" or "DH" as port, do not specify a
baud rate.  The vector used by TNCTSR is determined automatically.

Note that a DRSI PC*PA is one TNC!


    2.4.3 TNC identification

As additional user information, you can assign an identifier to each TNC
which will be output with most error and status messages.  This ident may be
up to 6 characters long and is defined thusly:

CFG=IDENTx:s

x = TNC number
s = 1 to 6 characters



    2.5 Text attributes (IBM)

Text attributes are colors or (on monochrome screens) underlining etc.  They
may be specified numerically or mnemonically.

The numeric specification should be hexadecimal since there is a logical
relationship between the hex digits and fore/background attributes.

Using monochrome, the following values may be selected:

  1 = underline
  7 = normal
 15 = bright
112 = inverse

Add 128 in order to make it blink.


Color:

hex mnem    color
-------------------
0   BLK     black
1   BLU     blue
2   GRN     green
3   CYA     cyan
4   RED     red
5   MAG     magenta
6   BRN     brown
7   LGY     light grey
8   DGY     dark grey
9   LBL     light blue
A   LGN     light green
B   LCY     light cyan
C   LRD     light red
D   LMA     light magenta
E   YEL     yellow
F   WHI     white

Colors numbered 0-7 can be used as fore- or background colors, 8-F can
only be used as foreground.  All background colors should be equal (except
status lines).

The color attribute is assembled from foreground and background as
follows numerically:

ABS=$01     (blue on black)

Mnemonically it is specified backwards:

ABS=BLU,BLK (blue on black)

In oder to blink, add ",BLINK" or add $80 to the hexadecimal value.


    2.7 Alphabetical list of commands


ABI=Attribute
ABI=LBL,CYA
Attribute for calls in the lower status line when useen data has been
received.

ABS=Attribute
ABS=YEL,BLU
Attribute for lower status line.

ACL=Attribute
ACL=YEL,CYA
Attribute for prompts and DX-reporst by a packet cluster (see CLU=).

ACU=Attribute
ACU=CYA,WHI
Attribute for the software cursor

ADC=Attribute
ADC=WHI,BLU
Attribute for the "discon" display in the lower status line.

ADF=Attribute
ADF=WHI,CYA
Default attribute, used for typed text and all other data without explicit
attribute.

AEM=Attribute
AEM=RED,GRN
Attribute for the pop-up window.

AFL=Attribute
AFL=YEL,GRN
Attribute for the FLAGS display in the upper status line.

AHn=Attribute
AH0=BLK,CYA
Attribute for monitor header, exists once for each TNC.  "n" is the TNC
number.

AIn=Attribute
AI1=WHI,CYA
Attribute for monitor information, exists once per TNC.

ANR=Attribute
ANR=LBL,CYA
Attribute for monitored NET/ROM headers.

ARX=Attribute
ARX=BLK,CYA
Attribute for received QSO text.

AST=Attribute
AST=WHI,CYA
Attribute for sent text displayed in the receive window when ECHO is on.

ASX=Attribute
ASX=RED,CYA
Attribute for TNC status messages.

ATI=Attribute
ATI=YEL,CYA
Attribute for the TNC-ID which is prepended to all monitor headers when
multiple TNCs are used.

ATS=Attribute
ATS=YEL,BLU
Attribute for upper status line.

ATT=Attribute
ATT=BLK,LGY
Attribute for the ticker tape.

AWA=Attribute
AWA=RED,CYA
Attribute for warnings and other important info.

AZB=0 or 1
AZB=1
ATARI ONLY: With many STs, Alt-Y and Alt-Z are swapped.  AZB=1 reverses
the assignments so that Alt-Y is indeed Alt-Y.

BSF=0 or 1
BSF=0
If set to 1, SAVE files are not erased with Alt-Z but copied to a cumulative
backup file.  This file is save the the SVB= directory with the name of the
SAVE file and the extension .Bxx where "xx" is the channel number.

BSG=0 or 1
BSG=1
If set to 1, the lower status line, when moved by Ctl-PgUp and Ctl-PgDn is
moved for all channels, otherwise it is only moved on the current channel.

CBL=n
CBL=10
Specifies the number of times the connect bell is rung when a new connect
is received.

CLU=call call call ...
CLU=DB0BCC DB0SDX
Specify all packet-cluster call signs you are using. When you specify SET/ANSI
in the cluster, all DX reports are highlighted when received.

CQA=0 or 1
CQA=0
if set to 1, all monitoed UI-frames to "CQ" cause an alarm display.

CTE=0 or 1
CTE=1
If set to 1, the connect text from WELCOME.SP is always transmitted,
otherwise it is only sent if the caller is not listed in GREETING.SP.

DEI=TNC-command
DEI=M N
This command can be used multiple times. Every command listed here is
transmitted to all TNCs at program termination.  if the "=" is immediately
followed by a DIGIT, the command is sent only to the specified TNC.

DSE=n
DSE=$2e
Date separator for SYSOPs of TheBox (no other use). Default is "." which
is $2e.  Change if a different separator is used.

DSO=0..3
DSO=3
Controls sorting of //CAT and ESC DIR.  DSO=0 does not sort, DSO=1
sorts //CAT, DSO=2 sorts ESC DIR, and DSO=3 sorts both.

EBL=16..100
EBL=16
Sets the default number of editing lines in the text entry buffer, also
see EBS=.

EBS=c:n,c:n,...
EBS=0:16,1:100,2:50
Sets the number of edit lines individually per channel.  For each channel,
the channel number and line count (separated by ":") must be specified.
Unlike EBL=, there is an upper limit of 32767.

FLA=text
FLA=Dallas won the super bowl!!!!!
This text will be transmitted for every incoming connect, regardless
of any other CTEXT setup, as a "flash" message.

FLG=code
FLG=$21
This command is used if STATUS.SP does not exist and sets up certain
default operating parameters.  A hexadecimal value (with prepended "$")
represents the addition of the following values:
INSERT on    $01
ECHO on      $02
BELL on      $04
UMLAUT on    $08
SAVE on      $20
The example above thus means that,  if STATUS.SP is erased, SP will start
with SAVE on and INSERT on.

FLS=0..80
FLS=16
This parameter determines the delay between line breaks and actual
transmission of data, the unit is he number of times trough the main
loop, default is 70 divided by number of channels.

GUE=value
GUE=0
If set to 0, anyone may connect, otherwise the value represents a bit
field with one bit per TNC (DRSI=1 TNC!).  Bit 0 is for TNC 0, Bit 1
for TNC 1 etc.  A set bit indicates "invited guests only", meaning that
anyone not found in GREETING.SP will be disconnected with the message
"sri GUE=1".  Examples:
    GUE=$01         # TNC 0 for guests (all other TNCs open)
    GUE=$04         # TNC 2 for guests
    GUE=$05         # TNC 0 and TNC 2 for guests
    GUE=$0F         # TNCs 0 through 3 for guests
Non-existant TNCs are ignored.

HOS=string
HOS=<space>
Sets up the HOLD string. This string is transmitted after a set time with
no activity, in order to circumvent fast link timers, BBSes etc. Cluster
users might wish to set this to an innocuous message like "SH/DX\r".
Default is a sinle space which SP ignores if received.

HOT=100-30000
HOT=300
The time interval, in seconds, after which the HOLD string is transmitted
if HOLD is on.

HSZ=10..50
HSZ=50
Sets the size of the heard list, 50 is default an maximum.

INI=TNC-command
INI=M UISC
This command, which may appear any number of times, is used to transmit a
single TNC command at SP startup.  If the "=" is immediately followed by
a digit, then the command is only sent to that TNC.  When first installing
SP, one of those commands should be "INI=I CALL" (where CALL is your
call sign).

IPR=0-9
IPR=1
This command sets the default PRIV-level.  Defaults to 1.  See REMOTE COMMANDS
for futher information.

ISn=string
IS0=test de DL1MEN
Sets the beacon text for TNC "n", up to 65 characters may be stored this
way.

ITn=20-3600
IT1=1800
Sets the beacon time in seconds for TNC "n".  Please note that beacons are
totally unnecessary QRM!  They should only be used on HF to call CQ or
if required by national regulations!

KEY=old,new
This is used to reconfigure the keyboard using scan codes (scan codes may
be determined in SP using Alt-= or Shift-Alt-=).  The syntax is KEY=OLD,NEW
and the scan codes are 4-digit hexadecimal.
Example: swapping "y" and "z", "Y" and "Z":
    KEY=1579,2C7A
    KEY=2C7A,1579
    KEY=1559,2C5A
    KEY=2C5A,1559
These commands may be entered online, using ESC CFG KEY=.  Once the desired
result is achieved, CONFIG.SP is written with the command ESC WK.
Note that Alt-= under all circumstances displays the OLD scan code!
The remapped keys can be displayed with ESC SK.

LPT=1..4
LPT=1
IBM ONLY: Sets the printer port (LPT1 through LPT4).

LTE=0 or 1
LTE=1
If set to 1, the result of //RT (the echo of ESC RT) will be transmitted
back to the echoing station.

LTI=time
LTI=600
An incoming connect is disconnected after LTI= seconds without any
activity.  A "Timeout" message is transmitted before disconnecting.
Values below 20 are taken to mean "infinity", whereas values above
86400 (24 hours) are reduced to 86400.
The Alt-W command displays remaining time, 30, 20, and 10 seconds before
timeout a pop-up window is displayed.  There is no warning for the
remote station.

MF2=0 or 1
MF2=0
Extended keyboard flag.  Normally, SP determines this value automatically
and no user intervention is needed.  Users of extended keyboards which are
recognized by SP can make use of the F11 and F12 keys.
Ref.: TYP=.

MFR=n
MFR=8192
Sets the amount of minimum free disk space required for //W and //WPRG to
work.  Should be divisable by a power of two.

MHM=0..2
MHM=2
Configured the heard list.  MHM=0 disables the heard list, MHM=1 enables it.
MHM=2 ignores pseudocalls (NETROM IDENTs).

MHS=0 or 1
MHS=0
If set to 1, the heard list is saved at program termination and is reloaded
when SP is started again.

MIT=180..700
MIT=350
Open for experiments.  This parameter is used to second level flow control
when doing file transfers on high speed channels.  It specifies the number
of free TNC buffers required for file transfer.  Should not be set very
much lower than 300.

MLN=n
MLN=10
Sets the number of monitor lines output by the //MON command.

MOF=0 or 1
MOF=0
If set to 1, the monitor channel display is disabled.  ESC RDM and ESC MM
still function.  May be altered on line with ESC MOF=.

MTF=1..10
MTF=4
Sets the number of frames buffered by the TNC during file sending, should be
at least as large as the MAXFRAME parameter (TNC command "O").

N3P=0 or 1
N3P=0
If set to 1, //W commands are only accepted if a message to everyone or the
operator is written, thus effectively prohibiting personal third-party traffic.

NBC=string
NBC=STGT PLTTBG
This command sets up a list of NETROM IDENTs which are ignored when heard in
a routing broadcast.

NCT=0 or 1
NCT=0
If set to 1, all CTEXTs (WELCOME.SP, GREETING.SP) also apply to node channels.

NDA=0 or 1
NDA=0
If set to 0, SP disconnects if an Alt-C connect fails.  Otherwise, Autorouting
is terminated and the partial connect is left intact.

NDI=0 or 1
NDI=1
If set to 1, monitor frames of pids other than CF, F0 (e.g. TCP/IP) are
suppressed and displayed as "[not decoded]".  If set to 0, such frames are
displayed undecoded.

NET=0 or 1
NET=1
Should be set to 1 in network environments to circumvent some incompatible
safety checks.  UNTESTED!

NLM=0 or 1
NLM=0
Determines whether the login message (SP-internal CTEXT) is to be suppressed.
Default is 0, indicating the CTEXT should be transmitted.

NMC=0 or 1
NMC=0
Allows restriction to single connects.  If NMC=1 then stations can only
connect once, if set to 0 (default), then stations can connect multiple times.

NOL=0 or 1
NOL=0
if set to 1, the automatic logging mechanism of SP is defeated.  This may not
be allowed in your national regulations.

NOM=text
NOM=Watching TV, please //RING
This text is transmitted at login if you enable it with the ESC QRL
toggle.  If enabled, "n" is displayed in the flags.  If NOM= is not
set up, a default text is transmitted.  Character translation is
enabled.  You may use ESC CFG NOM= for temporary changes.  Exiting
Alt-X clears the QRL flag.

NPR=0..2
NPR=0
This is the prompt configuration.  NPR=0 (default) disables SP prompts.
NPR=1 is used to enable prompts only on node channels, while NPR=2 enables
prompts in all cases.  If on, a prompt is transmitted after every remote
command.  See NPS=.

NPS=string
NPS=\r\C de \M>
This command sets up a prompt of up to 60 characters length.  Character
conversion may be used (see later).

NRI=1..5
NRI=3
This command defines, how many times someone may use the //RING command
before getting an error message.

NRS=0 or 1
NRS=0
if set to 1, NETROM-Frames are completely ignored in the monitor channel.

NSM=string
NSM=destination not reachable
This command may be used up to 8 times and defines error messages which may
come from nonstandard nodes and which should be used to abort autorouting.

NSW=0 or 1
NSW=0
If set to 1, then //WRITE commands to the SP user (actually, to the call
programmed in channel 0 of TNC 0) are rejected if SAVE is on.

NUM=0 or 1
NUM=0
If set to 1, NUMLOCK is cleared on SP startup and reset on exit.

NXC=4..40
NXC=5
Sets the number of TNC retries for cross connects.  When using HF in a
gateway mode, this number might have to be increased.

OAS=0 or 1
OAS=0
If set to 1, Alt-S can be used to turn SAVE on and off.  The default is
OAS=0, meaning that Alt-S can only be used to turn SAVE off.

PAC=20..256
PAC=236
Sets the default PACLEN for all channes (see PLS=).

PCH=Channel number
PCH=1
Sets the "priority channel".  This is a channel which may at any time be
reached by pressing Alt-A.

PLS=c:n.c:n,...
PLS=0:100,1:236,2:128
Sets up PACLEN individually per channel, the fomat is "channel:paclen".
Channels not specified here are assigned the PAC= value.

PMS=0..7
PMS=1
Experiment with this value only if you have keayboard problems, use at your
own risk!  Reprograms interrupt priority levels!

POP=n
POP=4
Sets the time (in seconds) for the pop-up window.

PRI=1..30
PRI=3
Sets the poll priority which determines, how many times through the main
program loop an inactive channel should NOT be polled.  This parameter is
there for experimentation.  ATARI: The range is 1..10.

PRT=Attr:on:off
PRT=0:7:7
ATARI ONLY: sets printer fonts.  For every screen attribute (0..15), a
printer ON and OFF sequence may be defined.  Numbers should be in hex, e.g.:
PRT=6:$1B,$49,$01:$1B,$49,$00
(If attribute 6 is printed then send ESC I 1, and at the time the attribute
is changed, send ESC I 0).

QRV=call call call ...
QRV=DL6MBI DL1MEN,C OE1YSS
Any time one of the calls listed is heard (an I-frame is required) then an
alarm is sounded.  The ",C" indicates that SP should, if at all possible,
attempt to immediately connect with that station.  See ESC QRV.

RAT=300..7200
RAT=900
Sets the repeat times for an unsuccessful "AT" autoconnect.
900 Seconds default.

REC=n
REC=0
Sets the number of scrollback lines for all channels.  "0" means "use
all available RAM". The minimum is the number of screen lines, the
maximum is 409 (ATARI:9999).  See RVS=.

REM=0 or 1
REM=1
if set to 0, all remote commands are disabled.

RES=n
RES=40000
Sets the amount of memory SP should leave unused after complete initialization.
40000 is a good minimum value, use more if you need to use ESC DOS or //QTH.

RLG=0 or 1
RLG=0
If set to 1, all remote commands are logged in the file REMLOG.SP.

RMA=...
RMA=1111111111111111111111111111111111111
If STATUS.SP does not exist, this string is used to set up the privilege
levels for all remote commands.  Each character position represents one
remote command in the order displayed by ESC RM.  Not used if STATUS.SP
already exists.

RMP=path
RMP=C:\SP\REM
Sets the subdirectory in which users can read and write messages and files.
The INSTALL program configures this parameter automatically.

RUN=path
RUN=C:\SP\RUN
All externally loadable commands can be stored here (see REMOTE COMMANDS).

RVI=0 or 1
RVI=0
ATARI ONLY: 0 = normal, 1 = reverse video.

RVS=c:n,c:n,...
RVS=0:100,1:409,3:200
Sets the number of backscroll lines individually per channel.  Unspecified
channels are set to REC=.

SCT=n
SCT=10
Sets the timeout for the screen timer. The screen is blanked after "n"
minutes of no keyboard activity. IBM: during blanking, a "face" jumps around
the screen.  An incoming connect or pressing a key turns the screen on.

SKP=1..9998
SKP=5
Internal tuning variable, should not be changed.

SRE=0..3
SRE=0
Sets reloading of Text after Alt-X. SRE=0 turns this feature off.
SRE=1 saves the entry buffers of all channels in a file SPENTRY.Cxx (xx =
channel number), and reads them in when SP is restarted.
SRE=2 saves receive windows at exit in a file called SPQSOWND.Cxx and
reloads them at SP start.
SRE=3 turns both features on.
These features use a temporary directory which may be set with TMP=
or with the environment variable TMP.

SST=0 or 1
SST=0
If set to 1, STATUS.SP is periodically saved, should be set to 0 on
floppy disk systems.

STC=0..255
STC=1
Determines the character which is flashed when the screen saver is
active.  The default is a "smily face".

SVB=path
SVB=C:\SP\SAV
Sets the directory in which SAVE files are normally stored.

SWP=0..26
SWP=4
IBM ONLY: Sets the SWAP drive where 3=C:, 4=D:, etc.  A: and B: cannot be
used.  To disable swapping, this command must be deleted from CONFIG.SP!
The SWAP drive should be a RAM-disk or superfast hard disk. If set, then all
screen buffers except the one for the monitor channel, are stored there
in order to save memory.  Thus, with a large ramdisk it is possible to
have 40 channels of 409 lines each!
If set to 0, swapping is disabled (SP's RAM requirement is then very
much increased).
If set to 1 or 2, SP uses extended memory.  In order to do this, an
XMS manager must be installed (e.g. HIMEM.SYS).

TIC=0 or 1
TIC=1
If set to 1, the monitor channel entry window is decreased by one line per TNC
(where DRSI PC*PA counts as one TNC!) and the lines display the last seven
(six in the case of DRSI) heard stations.  TIC=0 disables that feature.

TMD=n
TMD=900
The DO-Timer.  This is the maximum amount of time, in seconds, between DO
prompts.

TMI=n
TMI=90
Time between executing Alt-C and connection to the first station in the path.

TML=n
TML=210
Maximum time between two nodes during Alt-C connects.

TMM=0 or 1
TMM=0
If set to 1, "MM-Tracking" is on.  When on, the 20 most recently heard
QSO partners are stored for later selection as MultiMonitor targets.

TMP=path
TMP=C:\SP\CFG
Sets up the temporary directory where entry- and receive windows are
stored when SRE=1, SRE=2, SRE=3.  Not normally necessary.  Defaults:
if the environment variable TMP is defined it is used, otherwise the
SPDIR is used.

TOP=5..13
TOP=5
Sets the first line of the QSO window and effectively determines the size
of the entry window.  Note that the minimum number of lines in the entry
window is 3 across all windows.  Thus, with TIC=1 and 4 TNCs, the minimum
for TOP is 8!

TYP=0..31
TYP=31
If MF2 is set to non-zero (which is usually automatic!) the typematic
rate can be set this way, where 0 is fast and 31 is slow.  Note that
the typematic rate is set until reset by another program!

UDS=0..2
UDS=1
if set to 1, a clicking noise is heard every time data is received on a
channel which is not currently displayed.  If set to 2, the click is
sounded only when an attribute is changed in the lower status line (i.e.
on the ifrst unread packet).

UMB=0 or 1
UMB=0
If set to 1 and there is enough UMB memory available, one screen buffer
is stored there to save an additional 64k maximum.  Only applies to
MSDOS 5.0 systems with EMM386.EXE installed.  MAY work with DRDOS.

UPC=call
UPC=NOCALL
If defined, all unused TNC channels are set to "call", otherwise they
are programmed with the call stored in channel 0.

UTC=n
UTC=-7200
This command sets the difference between local time and UTC, in seconds.
It is recommended that UTC=0 be set and the computer keep UTC, however.

VIC=0 or 1
VIC=1
If set to 1, READ and ERASE commands in Alt-V are written on one line
separated by semicolons, otherwie they are written one per line (refer
to VIEW mode for more info).

WA8=0 or 1
WA8=1
Determines whether monitor frames are displayed in the WA8DED format or in
an abbreviated hybrid format.  Set to your liking.

WLV=3..99
WLV=4
Sets the "warn level", the number of retries after which a different attribute
(AWA=) is used for the retry display.

WWA=0 or 1
WWA=1
If on, a clicking sound is generated whenever, during typing, the cursor is
near the end of the line.

XIT=0..2
XIT=1
Determines the exit mode.  XIT=0 disables Alt-X, SP can only be terminated
by ESC QRT. XIT=1 is normal, while XIT=2 exit has to be confirmed.  Note that
it is not possible to exit during binary file transfer.

XKB=0 or 1
XKB=0
IBM ONLY: If set to 1, the keyboard interrupt is disabled during TNC
communications.  Use this setting if you have severe problems with RESYNC
during keyboard activity.


As you ca easily see, CONFIG.SP allows a multitude of different configurations
which most users simply cannot fathom.  There are very little limits to your
imagination when it comes to customizing SP.

Therefore, one should understand that the INSTALL program only manipulates the
most important parameters and that manually editing CONFIG.SP is inevitable.

Please note again that CONFIG.SP must not contain any blank lines whatsoever
and that the last line in the file must be properly terminated.  In order to
disable a command or use its default setting, place a cross-hatch (#) in
front of it.

Please be sure to keep a backup copy of a working CONFIG.SP before making
any significant changes!



    2.8 INSTALLATION UNDER MS WINDOWS

SP6 can be started as a DOS application under Windows in "386 enh" mode.
The supplied files SP.PIF and SP.ICO should make life a bit easier.

After installing SP (installation should be performed under DOS, not in
a DOS window!), SP.PIF can be incorporated into Windows.  ATTENTION: If
S.EXE is not located in C:\SP, then SP.PIF must be edited using the PIF
editor!

The steps required to register an application with Windows and to assign
an ICON are described in the Windows documentation.  Note that the Windows
time slice should be changed from 30 to 50 ms!



    3 FILES

SP requires a number of files for operation. With the exception of SP.EXE
and SPO.EXE, all files should be in SPDIR.  "SPDIR" is an environment variable
which is set by INSTALL.COM whcih points to a directory where all SP related
configuration files are to be stored.  When using INSTALL, this is commonly
C:\SP\CFG.  If installing manually, be sure to include the following line
in your AUTOEXEC.BAT:
SET SPDIR=C:\SP\CFG
Ensure that this line is indeed executed at boot time, place it at the
beginning of AUTOEXEC.BAT!

Users of previous SP versions will soon realize that all file names have
been changed.  The following list of files explains their purpose, the
"old" (SP5) file names are noted in parentheses.


AT.SP       (SP.AT)
Controls automatic, timed connects.  The file consists of command lines
which contain time and name of a "DO" file.  If the file name field starts
with a "*", then an ESC command is to be executed instead.  Many ESC commands,
however, are unsuitable for this operation.  The following example conencts
DB0CZ at 23:01, reading mail or whatever, sends a message to all connected
stations at 23:59 and terminates SP 3 minutes later:

23:01:DB0CZ.DO
23:59:*ALL Station will be shut down in 3 Minutes!!
00:02:*QRT

Unsuccessful AT commands are retried at 15 minute intervals.  Should
this not be desired, append a "," to the line, as in:
11:10:DB0CZ.DO,


CKEYGR.COM
A german keyboard driver.


CONFIG.SP   (SP.CFG)
Configuration file for SP and TNC operating parameters.


GREETING.SP (SP.SPW)
A file for individual welcoming messages.  Calls and other information are
stored here.

Format:

@CALL:1Name Text text text ...
text text text...

The start symbol "@" is immediately followed by the call sign.  The call is
terminated by a colon.  Behind the colon follwos the PRIV value for that
station followed immediately by the NAME of the caller.  This name is stored
and may be recalled while the caller is connected.

The remainder of the line is evaluated as follows:

Text follwing the name is popped up in a window when the caller connects.
Either a new line or a colon terminate this text.  Further text, which may
contain multiple lines, up to 1000 characters, is transmitted to the caller.
The text is delimited by another "@" or end-of-file.

In case a number of people use the same station (family, club call), any
number of greeting files may be created, with the call sign of the
operator as file name (e.g. DL1MEN.SP).

Note that you should place an entry for all the BBS you frequent in
GREETING.SP and assign then PRIV level 3, this prevents creeps from
sending you unwanted remote commands!

If the PRIV level is stored as "*" then the caller is immediately
disconnected without comment.

The info text (PRIV level and following characters up to ":" or
end of line may contain up to 29 characters maximum.


INFO.SP     (SP.INF)
This file can contain arbitrary text, but should be kept small (2k or so).
The contents of this file are transmitted in response to the //INFO
command.  Normally, this file should contain a station description (brag sheet).


LOG.SP      (SP.LOG)
Generated automatically by SP.  At disconnect, QSO data with starting and
ending times, MYCALL, call and digipeater of the qso partner and frequency
are stored here.  Privileged conencts are marked by "(P)".

The QSO direction (local or remote initiated) is shown with a "<" or
">" between frequency and target call.


MACRO.SP    (SP.MAC)
File for keyboard macros.  This file is generated automatically when first
defining a macro.  It must not be edited and is not compatible with SP5!


MHEARD.SP   (SP.MHL)
This file is generated automatically by SP if MHS=1 is set, it must not
be edited!


NEWS.SP     (SP.NWS)
This file is output in response to the //NEWS command, and may contain
arbitrary text.


NOGATE.SP   (SP.NOG)
This complex file may be used to restrict callers or groups of callers to
certain TNCs.

IBM:
----

TTTTTTTTPPPPPPPP:CALL

"T" stands for TNC, left to right = TNC 0 through 7 (5..8 reserved).
"P" applies only to a DRSI card and denotes the 8 possible ports.  Must be
present and empty when using a TNC2. The colon is followed by the call sign
to be restricted (or partial call with "*").

Placing an "x" or "X" restricts the corresponding TNC (or DRSI port) from
being used for a //C destination.  Any other character allows cross conencts.

Note:

- If a DRSI card is marked "X" in the TNC field, none of the ports are
  accessible for cross connects.

- There is no restriction if incoming and outgoing TNCs (or DRSI ports)
  are identical.

- Even if no DRSI card is used, the fileds must be present.

Example:

.xx.............:DB0ABC     Cannot cross connect to TNC 1 and 2
x........x......:DC*        Cannot cross connect to TNC 0 and DRSI port 1
xxxxxxxxxxxxxxxx:*          No cross connects allowed.


PASSWD.SP   (SP.PWD)
This file contains the SP password. The password is a number between 0
and 32767 and has the same format as FLEXPW.SP.  The "old" password
method of SP 6.00 is no longer supported.

Example:

DL1MEN=12345
N5NX=1235


PATHLIST.SP     (SP.PTH)
PATHLIST.SP is used to store path lists for autorouting.  Example:

433.650:DB0MWE-7 N>MW70-* N>MW23
433.675:DB0CZ N>#M7-* N>DB0AHO-1 N>DB0HP-1 D>DB0HP =>MYBOX
438.175:DB0CZ N>#MW3-* N>DB0AHO-1 N>DB0HP-1 D>DB0HP =>MYBOX
438.175:DB0PV N>#MW3-* N>BBS
433.725:DB0BOX N>DB0LAN-2
438.100:DB0GV N>DA1NP-7 D>DB0AJA D>DB0KT
430.650:DB0GV F>DB0ODW D>DB0KT
438.175:df0fk-2 N>MW70-* N>DC3MX-7,1
438.175:? N>MW70-*

The format must strictly be adhered to, only the delimiter character
between frequency and target call can be changed.  Blank lines
are not allowed, no more than one blank space may be between
call signs.  A line may not be longer than 255 characters.

With three exceptions, only capital letters must be used.  One exception
is "k>" and is explained below.
The second exception is a lower case target call sign, like "df0fk-2"
above.  In this case, the corresponding path is invisible to users
using the //P or //T commands.  It can, however, be connected provided
its existence is known.

The general format is "frequency:target call call ...".

N> indicates a net node, regardless of type, as long as it
returns NET/ROM-compatible status messages such as, for example:
#M7:DB0PV-7> Connected to HPBG23:DB0AHO-1.

n> is similar to N>, except that "C! CALL" is transmitted.  This
indicates to the remote station that RECONNECT is to be disabled.
Currently, this only works with SP and TheNetNode.

F> indicates a FlexNet node (starting with version 2.2).  The
FlexNet connect message is replaced by "(FlexNet)> Connected to...".

D> indicates a simple digipeater.  All digipeaters MUST be the last
call(s) in a chain.  An exception to this rule is the comma
separator.  Digipeaters may be separated with commas as
in the following example:
438.100:DK0MAV N>DA1NP-7 N>DB0GOE-4,DB0AJA,DB0KT N>BSBOX
In this case, digipeaters may be inserted anywhere in the path.

=> indicates the symbolic name of a path.  This specification must be
at the end of the line and is ignored during connection setup.
The name following "=>" may be used in a connect command in place
of the target call sign.  In the example above, both "Alt-C DB0CZ"
and "Alt-C MYBOX" lead to the same target.

If the destination is a single question mark, then the specified
path is the default path to be used when " ." is appended to the
Alt-C connect command, as in "C DC3MX .".

IMPORTANT:  Changes made to PATHLIST.SP will be valid only after the next
start of SP.

In a limited way, SP supports hierarchical paths using the "L>="
specification, hereinafter called "LAN".

In order to save space in PATHLIST.SP and to make addition of new paths
more convenient, LAN entries are defined for frequently used
distant nodes.

LAN entries can be connected to, by specifying the full symbolic
name including the "=".  Those paths are, however, not made known
to a remote caller.

Since examples are better than a thousand words, here is a
somewhat complex example as seen in Munich:

438.175:DF3AV L>=BRAUNSCHWEIG
438.175:DB0BQ L>=PADERBORN N>PBMB
438.050:DB0AAB-2 L>=direct
XXX.XXX:DK6GC L>=KFB3 D>DB0HP,DB0DQ
XXX.XXX:DB0CZ L>=KFB3
...
XXX.XXX:=BRAUNSCHWEIG L>=GOETTINGEN N>BS
XXX.XXX:=PADERBORN L>=GOETTINGEN N>DB0AX
XXX.XXX:=GOETTINGEN L>=ANSBACH N>DB0GOE-4,DB0AJA,DB0KT,DB0DA,DB0MW
XXX.XXX:=ANSBACH L>=OPF5 N>DG3NBH-9,DB0ABH-2 N>FUE N>DA1NP-7,DL8NN-7
438.175:=OPF5 N>MW70 N>#MW5 N>DB0LAN-2 N>DB0EV-5
439.325:=KFB3 N>DB0AHO N>DB0KFB-3
433.675:=KFB3 N>M70 N>MW70 N>DC3CD-2 N>DF0FK-2 N>DB0KFB-3
438.175:=KFB3 N>MW70 N>DC3CD-2 N>DF0FK-2 N>DB0KFB-3

If the path to ANSBACH is off, it is sufficient to redefine that
one entry.

If a path to DK0MAV is to be added (reachable from BS TheNet),
only the following line has to be added near the top of the file:
XXX.XXX:DK0MAV L>=BRAUNSCHWEIG

A frequency specification of "XXX.XXX" indicates, that the
operating frequency is determined by the first listed LAN.  It
is not necessary to specify "XXX.XXX" exactly, it is sufficient
that the first character is not a digit and that 7 characters
are used.
Thus, is is obvious, that DB0CZ and DK6GC are reachable via
autorouting on three different frequencies.

The special LAN "direct" (note lower case) must not be defined and
indicates a direct connect.

If, due to a misplaced LAN specification, the autorouter cannot
resolve a L>= entry, the autorouter will reject the connect command.


PFKEYS.SP   (SP.PFK)
This file is used to store frequently used standard texts.  Texts stored
there are loaded at program start and are transmitted by pressing
Shift-F1 through Shift-F12.  (Sh-F11 and Sh-F12 only for extended
keyboards).

PFKEYS.SP is line otiented, a line starting with "/F" begins a function
key sequence.  Thus, no function key text may start with "/F".
No single text may be longer than 1023 characters.

Character translation is active!

Please refer to PFKEYS.SP for an example.


QRGLIST.SP  (SP.QRG)
This file is used to determine operating frequency.  Only call signs
of stations which are known not to QSY should be included, e.g.
NET/ROM, licensed BBS and other fixed-frequency stations.

A line must either start with a "#" (comment line) or with a
frequency.  The frequency MUST be specified using SEVEN characters.
Exactly ONE blank must be used as a field separator.

Up to 20 lines may be entered.

A large list can significantly degrade SP performance.

Example:

144.675 DL8RAF-2 DL6MBZ-2 DA1CM
433.650 DB0MWE MW70
433.675 DB0PV DB0PV-7 #M7
438.050 DB0AAB DB0AAB-7
438.175 DB0MWE-3 #MW3
439.325 DB0AHO HPBG70
299.200 DB0MWE-1 DB0PV-3 DB0AHO-1
014.099 DK0MWX

If you rarely QSY, do not create QRGLIST.SP.


QRT.SP      (SP.QRT)
This file is used to store a message which is transmitted at the time a
users enters //QUIT.  In the simplest form, the whole file is transmitted.

It is possible to randomly transmit one of many messages, in this case the
file format is as follows:

\4
\
Text 1
\
Text 2
\
Text 3
\
Text 4

The backslash is a delimiter.  The first character in the file MUST be a
backslash followed by the number of messages.  The following lines contain
that number of messages (up to 1000 characters in length) delimited by a
backslash. The end-of-file may delimit the last message.


RELEASE.NTS
For english language users this file is irrelevant.


REMHLPD.SP  (SP.RHD)
German help texts for //HELP, copied by INSTALL.


REMHLPW.SP  (SP.RHW)
English help texts for //HELP, copied by INSTALL.

Any line beginning with // has the "//" stripped when HELP is entered on
a node channel.  All other lines are transmitted unmodified.


SP.EXE
The executable program, MUST NOT BE PACKED BY LZEXE or EXEPACK!


SPO.EXE
As above, but contains numerous code overlays.  This saves approximately
64k of RAM, but it should only be used in conjunction with a disk
cache program or started from a RAM-disk!  SPO.EXE automatically uses
EMS or XMS memory if available and may then be started from any disk.


SP.ICO
An icon for SP under Windows 3.0.  NOTE: SP may only be used in "386enh" mode!


SP.PIF
PIF-file fo use with Windows 3.0, may have to be altered using the PIF
editor if you did not use INSTALL to install SP to drive C:.


STATUS.SP   (SP.STA)
Stores parameters at SP exit, to be reloaded when SP starts.  Must not be
edited.  Future versions of SP may automatically delete this file and
create a new one.


SUBST.SP
This file is used in conjunction with Control-F9.  It consists of lines,
in each line is a token separated from text by a colon, like:

DL1MEN: DL1MEN @ DB0KCP.DEU.EU

The token, if found in SUBST.SP, is replaced by the text following the
colon.


TFPCR.COM
A KISS mode driver for PK232, KAM, etc.  Described in TFPCR.ENG.


TFPCR.ENG
Documentation for TFPCR.COM.  Be sure to read it twice if you have to use
TFPCR!  Note that it is a kludge and buying a TNC2 ist must less pain!

TFPCX.*
A BayCom modem driver, written by DG0FT.  Configure CONFIG.SP just as
if using TFPCR.


TNCS
A few TNC recommendations, if you can read them.  Not in english!


UNTFPC.DOC
Documentation (german) for UNTFPC.EXE.  Use at your own risk!


UNTFPC.EXE
Unloads TFPCR.COM from memory.  ATTENTION:  The only recommended way of
unloading TFPCR is via Ctl-Alt-Del (reboot).  Complaints about UNTFPC.EXE
will be ignored.


WELCOME.SP  (SP.WEL)
General greeting messages which is transmitted to everyone NOT listed
in GREETING.SP.  Example:

Every CTEXT is associated with a "call sign line".  This line starts
with an AT-sign (@) followed by a call sign.  If a second "@" is
used in place of the call sign, the CTEXT applies to all calls, else
it applies only to that particular MYCALL.  All text up to the next
"@" is transmitted to the user, but only up to 2047 characters.

The following example shows WELCOME.SP for two call signs plus one "guest":

@DL1MEN
This is DL1MEN - enter //H for help
Channel \K QRG=\Q
@DB0AMP
Club Station of AMPACK
@@
Hi, I'm /P operating DL1MEN's station

The third CTEXT is transmitted if someone visits DL1MEN, sets his
call sign as MYCALL and is connected by someone.

The character conversion routines are applied.



    4 SCREEN LAYOUT


The screen is divided into at most 5 areas:

- the text input window:

    All commands and transmit text entered at the console is
    displayed here.  The window size is 3-10 lines and it is always
    located at the top of the screen.  The size of this window can
    be configured with TOP= in CONFIG.SP - refer to A.1.

- the channel status line:

    This line is located immediately below the text input window
    and displays important status information for the selected
    channel as well as the current time.

- the terminal (QSO-) window:

    This variable-size window can be shrunk to 2 lines.  All
    text received from the TNC is displayed here.  Normally,
    send text is also displayed.  Monitor text is not shown here,
    except when channel 0 is selected, in which case the window
    is of fixed size and displays monitor information only.

- the lower status line:

    This line terminates the terminal window and shows all
    call signs connected to the TNC channels.  If there
    was undisplayed activity on a channel, the corresponding call
    sign blinks.  Unconnected channels are displayed as "discon".
    If channel 0 (monitor channel) is selected, this line is
    located immediately below the channel status line.  If more
    than 18 channels are used, multiple lines are occupied.

- the monitor window:

    If the terminal window has been shrunk, the remainder of the
    screen is used to display monitor data.  This window does not
    exist if channel 0 is selected.


Example:

c db0mwe
c bbs
c db0pv

|1|DB0MWE|DL1MEN-1|IXF|00|00|00| 00:30|433.675|ES |11:04:51

(1) CONNECTED to DB0MWE - 01.06.89 11:03:34
#MW3:DB0MWE-3> Connected to BBS:DB0PV-15
BBS:DB0PV-15> Connected to DB0PV
*** Willkommen bei DB0PV - Port #5 ***

Letzter Login 01.06.1989  07:40
Gruess Gott Sigi !


Fuer DL1MEN ist keine Nachricht gespeichert.

(DL1MEN) >>

DB0PV| discon |discon |discon |discon |discon |discon |discon
Fuer DL1MEN ist keine Nachrich
fm DL1MEN to DB0MWE-3 ctl RR3v - 01.06.89 11:04:15
fm DB0MWE-3 to DL1MEN ctl I23^ pid F0 - 01.06.89 11:04:16
t gespeichert.
(DL1MEN) >>
fm DL1MEN to DB0MWE-3 ctl RR4v - 01.06.89 11:04:17


        THE CHANNEL STATUS LINE:

(The channel status line shown here is shorter than normal)

  |1|DB0MWE|DL1MEN-1|IXF|00|00|00|00:30|433.675|PFNTEUSA|14:14:51
   !   !      !      !   !  !  !  !     !       !        !
   !   !      !      !   !  !  !  !     !       !        !
   !   !      !      !   !  !  !  !     !       !        !
   !   !      MYCALL !   !  !  !  !     !       !        !
   !   !           linkstate!  !  !     !       !        time
   !   entry call sign   !  !  !  !     !       status flags
   channel number        !  !  !  !     current frequency
                     !  !  !  elapsed time this connect
                     !  !  number of retries
                     !  number of unacknowledged packets
                     number of unsent packets

During a connect attempt, the entry call sign blinks.

If a station is logged on with a privilege level other than 1, the level
is displayed just to the left of the current time.

Status flags indicate:

#   NODE enabled on this channel
<   remote initiated connect
>   local initiated connect
!   binary monitor suppressed (monitor channel only)
A   autorouting in progress
a   autosave is on
B   bell is on
b   binary monitor save on
D   autoconnect is active
E   keyed text is displayed in the terminal window
H   Anti-link-timer enabled
I   text entry in insert mode
L   learn mode on
M   New messages for SYSOP (blinking)
N   NET/ROM (TheNet) L3 frames are not monitored
P   Printer is on
R   SYSOP bell is active
r   Remote commands off
S   save file is open
s   channel suspended (ESC ACT)
T   text file sending in progress
U   german umlaut conversion is active (IBM-DIN)
u   german umlaut conversion is active (IBM-double letter)
   german umlaut conversion DIN-IBM on receive
^   binary file sending in progress
v   binary file receiving in progress
W   //write active (blinking on IBM)

"N" is only active on channel 0.
All other flags refer to the currently selected channel only.

If the monitor channel is selected, the status line is somewhat
different:

0:0|QRM via DB0MWE       |SP v6.00|438.175|BN   |08:17:46
! ! !                     !
! ! !                     Program version
! ! Call sign for beacons and UI frames
! Channel number
TNC for UI-frames (selectable with Alt-1)

All other indications are as above.


The "link state" field shows one of:

DIS   Disconnected
SET   Link Setup
FMR   Frame Reject
DRQ   Disconnect Request
IXF   Information Transfer
REJ   Reject
WAK   Wait Acknowledge
DBS   Device Busy
RBS   Remote Busy
BBS   Both Busy
WDB   Wait Ack / Dev Busy
WRB   Wait Ack / Rem Busy
WBB   Wait Ack / Both Busy
RDB   Reject / Device Busy
RRB   Reject / Remote Busy
RBB   Reject / Both Busy
MUL   MM active this chan



    5 ENTRY WINDOW

If a line does not start with ESC, SP is in text entry mode.  After
pressing ENTER, this text is sent to the current TNC channel.  If
channel 0 is selected, it is transmitted in a UI-frame, on all
other channels it is transmitted only if the channel is connected.
Any character may be transmitted.  If ESC is to be transmitted as
the first character, it must be prefixed with Control-Q.

Line wrap is done automatically if text input exceeds one line, a
RETURN character is inserted at this time and the line is transmitted.


    5.1 CURSOR MOVEMENT AND EDITING

Leftarrow:
moves the cursor left, at the beginning of a line the cursor jumps
to the end of the previous line.

Rightarrow:
moves the cursor right, at the end of a line the cursor jumps to the
start of the next line.

Uparrow:
moves the cursor up.  If the cursor is in the topmost line, the buffer
is scrolled down one line.  This key is ignored if the cursor is in
the first buffer line.

Downarrow:
moves the cursor down.  If the cursor is in the bottom line, the buffer
is scrolled up one line.  This key is ignored if the cursor is in the
last buffer line.

Home:
moves the cursor to the first line in the buffer.

End:
moves the cursor to the last line in the buffer.

PgUp:
scrolls the entry window up one page.

PgDn:
scrolls the entry window down one page.

Ins:
toggles between insert mode and overtyping.  If insert mode is on, an
"I" is displayed in the flags field.

Del:
deletes the characer underneath the cursor.  At the end of a line, the
following line and the current line are joined, provided they fit.

Shift-Control-Home:
clears the entry buffer.  Some keyboards are unable to generate a
Control-Del, in this case Shift-Control-Home must be used.

Enter:
transmits the line.

Control-Del:
clears the entry buffer.  Some keyboards are unable to generate a
Control-Del, in this case Control-C must be used.

Control-A:
moves the cursor to the beginning of the current line.

Control-B:
moves the cursor left to the next blank.

Control-D:
inserts the current date at the cursor position.

Control-E:
moves the cursor to the end of the line.

Control-F:
moves the cursor right to the next blank.

Control-H:
deletes the character to the left of the cursor.  At the beginning of
a line, it is joined with the previous line provided the new line fits.

Control-I or TAB:
inserts blanks until the next tab stop is reached.

Control-J or Control-Enter:
similar to Enter, except no RETURN is transmitted.

Control-K:
erase to end of line, writes killed text into the kill buffer.  If
used in a blank line, the line is removed completely without changing
the kill buffer.

Control-L:
requests a file name and reads the contents into the buffer.  If the
file is too large, only the beginning of the file is loaded.

Control-M:
identical to Enter.

Control-O:
inserts a new line at the cursor position.  If the cursor is inside
a text line, that line is split in two.  If the buffer is full, the
last line is discarded.

Control-P:
requests a channel number, then transfers the complete buffer to the
buffer of the specified channel.  If the destination buffer is too
small, only as many lines are transferred as will fit.  This is a text
copy, no transmission occurs.

Control-Q:
inserts the next typed character into the buffer, even if it is an
edit command.  This way, one can transmit Control-D, for example.

Control-R:
transposes the character unterneath the cursor and the character
immediately to its left.  No effect if used at the edge of a line.

Control-T:
inserts the current time at the cursor position.

Control-U:
changes all lower case characters in a word to upper case, and vice
versa.

Control-V:
writes the bottom status line call sign into the entry buffer.

Control-W:
requests a file name and saves the buffer there.   If the file name
starts with "#", a number is expected to follow and the buffer is
instead transmitted at that channel number.  In order to, for example,
transmit the buffer on channel 11, a "#11" is entered at the file name
prompt.

Control-X:
deletes the complete line and copies it into the kill buffer.

Control-Y:
inserts the contents of the kill buffer at the cursor position, provided
the new line fits.

Special edit commands:
When using Coltrol-L, Control-P, Control-W, and possibly Alt-S, an
editor line is shown in a pop-up window.  There, the following edit
keys are useful:
Enter     : Confirm entry, execute
ESC       : abort
Control-H : erase previous character
Control-X : delete complete line
NOTE: Alt-S displays a default file name.  If the first key pressed is none
of the above mentioned, the whole name is erased.

The size of the edit buffer is set by the configuration command EBL=.
Values between 16 and 100 may be selected.  The default is 16.  If the
text entry window is larger than EBL=, then the number of lines is
adjusted.  Important:  88 bytes are used per line per channel.  Do not
use the ESC-CFG command to alter EBL= while SP is running.

Additionally, using EBS=, the number of lines can be set on a per-channel
basis.  This is only limited by available memory.  Therefore, it is
possible to dedicate a specific channel for larger editing chores, where
longer texts can be prepared and written to disk or transmitted on
another channel.

If TIC=1 is set, the number of lines in channel 0 decreases by one
without affecting the editing functions.

An ESC at the beginning of a line is displayed as " " and starts a
command, as usual.  The command characer may be deleted an the line
then is an ordinary text line.

If Alt-C or one of the Alt-Fkeys is ised at the beginning of a line,
then SP inserts " C " and the autorouter is activated.

Lines already processed may of course be re-sent or edited.

If insert mode is active and characters are inserted inside an existing
line, then no further entry is possible once the line has grown to
reach the wrap position.  In overwrite mode, the character under the
cursor is overwritten.

Additionally, an EDIT mode is provided.  If enabled with Alt-E ("e"
shown in the flags display), nothing is transmitted when a word is
wrapped or ENTER is pressed.  ESC commands are NOT executed.


    6 SP COMMANDS


Internal SP commands are either function key, ALT-sequences or
initiated by entering ESC.

FUNCTION KEYS:

Alt-numeric pad: (IBM only)
        Any data channel may be selected directly by holding the
            Alt key and pressing the channel number on the numeric pad.
            In order to, for example, select channel 17, press Alt,
            press 1, then 7, then release Alt.

F1-F10  Select one of the ten channels of the block in which the
        current channel is located.  Pressing a function key multiple
        times with more than 10 channels, then the channel below
        the current channel is selected.  Example:  current channel 2,
        pressing F2 selects channel 12, then 22 etc.

Shift-F1 through Shift-F10 are used to transmit standard texts
        which have previously been stored in PFKEYS.SP.

Alt-F1 through Alt-F10 can be used to initiate connects on the
        first ten paths stored in PATHLIST.SP for the current frequency.
        Alt-F displays the current key assignments.
        After pressing such a key, the path is displayed and confirmation
        is requested.

The following applies to extended keyboards only:

F11     identical to Alt-V
Ctl-F11 identical to Shift-Alt-V
F12     identical to Alt-M


    6.1 ALT-SEQUENCES

Alt-commands are entered by pressing and holding the "Alt"-key
then pressing the corresponding letter key.

Alt-A   Selects the priority channel set up with PCH=.  Pressing it
        again switches back to the previous channel.

Alt-B   Selects the next TNC through which UI-frames can be
        transmitted on channel 0.  When selecting the monitor
        channel, the UI-TNC number is displayed as first entry
        in the channel status line.

Alt-C   A synonym for "ESC C" if the keyboard buffer is empty.
        It is only required to enter a call sign in order to
        initiate a connect.  Unlike "ESC C", this command searches
        the autorouting table.  Alt-C only works on an unconnected
        channel.
        If Enter is pressed immediately after Alt-C, a menu window
        is shown where all applicable paths are displayed and one
            may be selected.
        If a connect with the same station already exists on a different
        channel, the own SSID is changed to allow a second connect.
        This change applies until DISC.

Alt-D   Disconnect the current channel (same as "<ESC>D<ENTER>").

Alt-E   EDIT mode is toggled.  When EDIT mode is on, nothing typed in
        the entry window is transmitted.  ESC-commands are not executed.

Alt-F   Displays function key assignments and some status information.

Alt-G   The current directory (or whatever fits on the screen of it) is
        displayed, and a file or subdirectory can be selected.
        A file name accepted with ENTER is written into the
        keyboard buffer at the cursor position.  This function is usable with
        commands requiring a file name.

Alt-H   Gives help (Alt- Control-, and ESC-commands).

Alt-I   If a connect is active and the call is in GREETING.SP, the first
        line of of the corresponding entry is displayed.

Alt-J   Toggles SYSOP into convers mode and back.  Valid only
        on an unconnected channel.  Refer to 6.3.

Alt-K   Aborts file-transfer routines and Autorouting.
        Autoconnect (DO ...) can also be aborted with Alt-K.

Alt-L   Displays messages for the SYSOP and allows erasing.  Only
        works when a message has been received with the
        recipient being the call sign in channel 0 of TNC 0.

Alt-M   Selects the monitor channel.

Alt-N   Displays all heard TheNet routes.

Alt-O   Places the currently selected channel into SYSOP mode as
        if the station connected there had successfully executed
        the //SYSOP command.

Alt-P   Toggles printer ("P" in the channel status line).
        Important: Only one channel can be printed.  This
        key is inactive if printing is enabled on a different
        channel.

Shift-Alt-P
        Prints the QSO window if printing is otherwise off.

Alt-Q   Erases the blink bit in the lower status line.

Alt-R   Replays the last ESC C or Alt-C command.

Alt-S   Toggles save-file for the current channel ("S" in the channel
        status line).  When SAVE is turned on, a new file name is
        requested, the default one can be kept with ENTER.
        NOTE that if OSA=0 (default) then Alt-S only turns SAVE off
        and ESC SAV must be used to turn SAVE on.

Shift-Alt-S
        Toggles AUTO-SAVE ("a" in Flags display).  If on, every connect
        is saved with a file name consisting of call sign and channel
        number.

Alt-T   Turns screen save on (screen is blanked).

Alt-U   Toggles receive umlaut conversion ("U" in the channel
        status line).

Alt-V   VIEW-mode.

Alt-W   Displays some useful SP status info, such as byte counts,
        SAVE file name, run time, memory usage, etc.

Alt-X   Terminate SP.  Active connects remain established, receive
        data is stored in the TNC.  If file transfer is active, Alt-X
        displays an error message and does not exit.  Alt-K must then
        be used to abort transfer before exiting.

Alt-Y   If SP was exited during a connect, this command redisplays
        the contents of the screen buffer provided SAVE is
        enabled.  Screen attributes are lost, however.

Alt-Z   If SAVE is on, the save file is deleted and the reopened.
        If BSF=1 is set, the save file is is backed up before
        deletion.

Alt-=   Requests a key to be pressed and displays the scan code
        for that key.  Note that keys redirected by KEY= are
        shown with their ORIGINAL scan code!

Shift-Alt-=
        Same as above, but the scan code is written to the entry buffer
        for support of the ESC CFG KEY= command.

The following special keys are also used:

Control-F1:
Shrinks the entry window to 3 lines.

Control-F2:
Grows the entry window to 15 lines.

Control-F3:
Shrinks the entry window by 1 line.

Control-F4:
Grows the entry window by 1 line.

The above functions are valid only until the channel is changed.

Control-F5:
If ECHO is on, this function toggles display of "> " at the beginning
of every line transmitted when echoing in the receive window.  This
is useful for marking own sent text for later perusal.  Note that
this function is terminated at disconnect.  When active, "x" is displayed
in the flags field.

Control-F6:
If TMM=1 then this function key writes a list of active QSOs on the
screen, and one can be selected for the MM function.

Control-F7:
Displays the SAVE COUNTERS.  These counters display the number of bytes
transmitted and received.  They are zeroed when opening a SAVE file.

Control-F8:
A synonym for ESC DOS, calls up COMMAND.COM.

Control-F9:
Substitutes the word directly to the left of the cursor.  There MUST be
a space to the left of the WORD!  The word is searched for in SUBST.SP
and replaced by the text following the colon (see above).

Control-PgUp:
Shrinks the receive window and enlarges the monitor window (not on
channel 0).  If BSG=1 is set in CONFIG.SP, this key acts globally for all
channels, otherwise it acts only on the current channel.

Control-PgDn:
The reverse of Control-PgUp.

Control-Home:
Erases receive window and screen buffer.

Control-Leftarrow:
Selects the next lower connected receive channel.

Control-Rightarrow:
Selects the next higher connected receive channel.

Shift-Tab:
Switches to the next channel on which yet unseen data has been received.

RightShift LeftShift Alt -:
Toggles the keyboard.  If Keyboard is off, "---KLOCK---" is displayed
in place of the FLAGS.



    7 DRSI PECULIARITIES

A DRSI card is viewed by SP as one TNC, acts as two TNCs to the outside
world, however.  This configuration is determined by the driver software
and cannot be changed.  If multiple DRSI cards are used, they too act as
one single TNC.

This causes special effects when callers use //CS or //P.

Normally, the card is used just like an ordinary TNC.  Connect commands
use port 0 by default.  The connect command (ESC C) may be used to
explicitly specify a DRSI port by prepending the port number thusly:

 C 0:DL1MEN    (to explicitly use port 0)
 C 1:DL1MEN    (to explicitly use port 1)

Once the port number is specified, it is stored by SP and used as
default port with all subsequent connects on that channel.  An incoming
connect on a different port temporarily changes the default port.

A digit is displayed immediately to the right of the frequency in the
upper status line, this is the default port for outgoing connects.
This default port may be changed without issuing a connect command by
entering:

 C 1:

in order to, for example, set the default port to 1.

After a first-time installation or after deleting STATUS.SP, the frequency
must be set for all ports.  This is accomplished by first changing the
default port, then using the ESC QRG command.  If there is no radio
connected to that particular port, the frequency should be set
to "---.---".

The operating parameters of the card are displayed with the ESC TP
command, for the default port.  The DRSI command may be used to change
parameters.  This command, too, only operates on the default port and
is described in chapter 4.6.  Note that the HF baud rate may be set but
the setting has no effect until a reset is performed.  The baud rate
should only be set with the ESC HBAUD command.

Note that no port specification is allowed when using Alt-C to connect.

Using multiple radios with poroperly set frequencies causes that //P
and //MH output data for all ports.  //C automatically uses the correct
port if a path is found.



    8 TIMEOUTS

In order to keep the TNC from overflowing, some timouts had to be
defined.  Any time SP is waiting for a keypress and no key is pressed
the TNC hangs idle.  Timeouts are:

When "press spacebar.." is displayed, the timeout is POP= times 10
seconds.

ESC-RM...20 seconds.

ESC-LE...At the "OK(Y/N)" prompt, a "N" is generated after POP*10
seconds.

Alt-C/Enter...POP*10 seconds.


    9 KEYBOARD MACROS

Up to thirty keys (Alt-1 through Alt-0, and their Shift and Control
variants) can be reassigned with keyboard macros.  A macro may be up to 40
keystrokes in length.  In addition there is a startup macro, designated
macro 31, which is executed every time SP is started.

Macros are stored in a binary file named MACRO.SP.  If MACRO.SP does not
exist, Alt-1 through Alt-0 are identical to F1 through F10, all other
macros are empty.

Macros are defined as follows:

1. Enter ESC MAC n (n must be a number 1..31)
2. Enter up to 40 keystrokes, the keystroke is displayed in a pop-up
   window.
3. Press Control-F1 to store, or Control-F2 to abort.  The macro is
   stored automatically if 40 keystrokes are typed.

Note:

1. If Control-F2 is pressed, the abort only takes effect if MACRO.SP
   exists.  MACRO.SP should be generated after installation by storing
   any macro.

2. It is possible to define a macro which calls another macro, possibly
   causing an infinite loop!!  Example:

   Alt-1: Alt-E Ctl-Home Ctl-Del Alt-1

   This macro clears the save file, cleard both screens and then calls
   itself ad infinitum causing SP to hang.

3. A macro can only call macros 1..10.


    10 VIEW MODE

VIEW-Mode provides for transferring data from the receive window into the
keyboard entry window.  It is enabled with Alt-V.  After pressing Alt-V,
the receive window is expanded to maximum size (if Shift is pressed
simultaneously, no expansion takes place).  A line cursor is placed
into the receive window.

The cursor can be moved across the receive buffer using arrow keys,
Grey+, Grey- and  PgUp/PgDn.  Additionally, the following keys may be used:

Esc     exits VIEW-mode.
Enter   transfers the cursor line into the keyboard entry window.
INS     The cursor line is transmitted on the channel set by ESC INS
        (default is current channel, ESC INS -1).
r       If the cursor line was generated by a known mailbox system,
        a READ command is written into the entry buffer.
R       Same as "r", except the command is transmitted immediately.
e       If the cursor line was generated by a known mailbox system,
        an ERASE or KILL command is written into the entry buffer.
E       Same as "e", except the command is transmitted immediately.
L       If the cursor line is the header of a TheBox LIST command,
        the topic name is registered for subsequent READ commands.

Any other key is ignored.  Note that SP is "hot" while in VIEW mode,
i.e. received data is processed!


    11 ESC COMMANDS

ESC commands are used whenever a command requires parameters or
is infrequent enough to not justify an ALT combination.

If SP cannot decode a command, it is syntax checked and then passed
through to the TNC.

Note that the lower case portion of a command need not be typed.

ACT
This toggle suspends the current channel or removes suspension.  When
suspended ("s" in flags), SP does not poll this channel and any
connect is left unprocessed.  This is a mode used by ESC MM and is
not normally of any use.

ALL text
"text" is transmitted to all connected stations who are not engaged
in autorouting or file transfers.

AT
Displays the next scheduled autoconnect.

AT A
Displays all scheduled autoconnects.

AT D hh:mm
Deletes the command corresponding to that time.

AT D *
Deletes all commands.

AT hh:mm:command
Adds a line to the autoconnect schedule.  The command is not stored in AT.SP!

AT W
Writes all commands to AT.SP.

BELl
Toggles bell (B in flags display).  Applies to the current channel only.

C call
TNC-command: execute a simple connect command, up to 8 digipeaters may be used.
If a connect exists to the same station using the same call sign, on a
different channel, the SSID is changed until a connect can be established.
This fact is shown in a pop up window.

CAL Callsign
Changes the target call sign (bottom status line, log).
The call sign must be entered.  If successful, STATUS.SP is rewritten.
ESC-CAL DISCON clears the connect status.

CFG (CONFIG.SP command)
Almost any CONFIG.SP command may be executed, no syntax checks are performed
and some commands may lead to a crash.  Example:
Monitor off on all TNCs:
    CFG INI=MN
Change attribute of top status line:
    CFG ATS=$70

Entering ESC CFG by itself, a list of most parameters and their
settings is displayed.


D
TNC-command: disconnect.

DB filename
The specified file is transmitted as a binary file without the usual
#BIN# protocol, useful for sending a binary file to a BayCom station.

DIR Filename
Executes a directory matching "FIlename".  Note that a slash must be
appended if Filename is a directory, e.g. " DIR A:/".

DO Filename
Autoconnect command.

DOS [program name]
If a program name has been specified, the program is executed, otherwise
COMMAND.COM is called (return to SP with "EXIT").  There must be
sufficient free memory to execute the command.

!...
Nearly identical to the DOS command, except that a commandline must be
apecified and that DOS-internal commands may be executed.  No space must
be typed between "!" and command, e.g. "!DEL FOO.TXT".  (IBM ONLY)

!!...
As above, except that screen output is discarded.  Use for RENAME, COPY
and similar commands.

DRsi pp nn
This command is used to change DRSI parameters for the current DRSI port.
Parameters are displayed with ESC TP.

TP
TNC parameters are displayed in a pop-up window.  Using TNC2, the display
is in the form "p=n" where "p" is the TNC command and "n" is the current
parameter value.  Using DRSI, the display looks somewhat like:
Param PCPA Port 0: DI=    0 PP=   64 SL=   10 FR=    3 MA=    2
          TR=   15 T2=  100 T3=20000 TX=   35 BA=    2 DU=    0

Table of parameters (the equivalent TNC2 command in brackets):
DI : Digipeat on/off            [R]
PP : P-Persistence              [P]
SL : Slot time                  [S]
FR : FRACK                      [F]
MA : MAXFRAME                   [O]
TR : Retry counter              [N]
T2 : Timer T2                   [@T2]
T3 : Timer T3                   [@T3]
TX : TXdelay                    [T]
BA : baud rate (change with ESC HBAUD)
DU : duplex on/off              [@D]

ECho
ECHO toggles echoing of typed text in receive window.  If ECHO is on,
an "E" is shown in the flags display and all typed text, as well as text
from sendfiles is displayed in the main window.

FL
Re-reads the file FLEXPW.SP, also usable as //ESC FL for remote SYSOP
use.

FXL n1 n2
If both channel 'n1' and channel 'n2' are connected, they are
joined.  No status message is transmitted.

FUL n1 n2
If channels 'n1' and 'n2' are joined, they are separated.  No
status message is transmitted.

HBAUD p,b
Sets HDLC baud rate if a DRSI PC*PA is used.  There should be no connects
on the TNC, since a RESET is performed.  The "p" parameter designates
the DRSI port (0 or 1), the "b" parameter indicates the baud rate as
per DRSI manual.  The comma is mandatory.

HOld
Toggles link-hold timer.  If on, a space is transmitted every 270
seconds with no keyboard activity and "H" is shown in the flags
display.  The timing may be set with HOT=. The text sent can be set with HOS=.

HOS string
Temporarily sets the hold string, active until termination.

INS n
Sets the insert channel to "n" (refer to VIEW, Alt-V).  Channel "-1"
indicates the current channel.

KILL
All connected stations are disconnected.

LEarn
Learn a path.

LSM
Displays the last four link status messages.  This only applies to
CONNECT REQUEST and FRAME REJECT).

LV n
The privilege level of the connected station may be set with this
command.

LW filename
Loads a file into the QSO window.

MAC n
If entered without parameter, the keyboard macros are displayed,
if a numeric parameter is entered, a macro may be defined.

MB filename
Binary monitor save is enabled and disabled with this command.
ESC MB FILENAME enables binary monitor, another ESC MB command
disables it.  If on, all received monitor I-frames are stored in
FILENAME.  The file format is:
0x0d HEADER 0x0d LEN DATA
(LEN is one byte, where 0 = 256).

MD text
Allows scanning of monitor data.  When used on an otherwise unused
channel, all monitor data including header is written there if "text"
is present in the data field.   ESC MD turns this off.

MH
Displays the heard list alphabetically.

MH T
Displays the heard list sorted by time.

MH call
Displays heard list entries matching "call" (e.g.  MH DL1 shows all
DL1??? call signs).

MH > FILENAME
Displays the heard list and stores it in FILENAME.

MH C
Clears the heard list.

MM from>to
To be used on an unconnected channel, in order to monitor a 2-way
conversation.  Example:
ESC MM DL1MEN>DB0AAB
monitors all traffic between the two stations (anything that can be
heard).  An alternative, if TMM=1, is to use Control-F6.

ESC MM
disables this function.

For MM to work, the channel must not be connected from the outside.

MM FROM>?
Monitors "anyone" connected to "FROM".  3 Minutes after the last QSO,
SP waits for a new connect and tracks it.

MY call
Displays or sets MYCALL.  Almost identical to the TNC command ESC I.

NAME name
Sets the connected stations name and stores it in GREETING.SP.

NB
Toggles monitor display of binary data.  When on, "!" is displayed in
the flags of the monitor channel, and an algorithm determines whether
a received data packet contains binary (non printable) data.  If so,
this fact is shown with an indication of the frame length.

NODE
Toggles NODE-mode (# in FLAGS).  NODE mode is a bit like NETROM in that
there is no CTEXT and commands are entered without "//".

PAC n
Sets PACLEN for the current channel, 'n' must be >= 10 and <= 256.
Refer to PAC= and PLS= for permanently changing PACLEN.

PAR n p
A NETROM sysop, after identifying himself to his node, can use this command
to set parameter number "n" to the value "p".

PAth callsign
Shows the path to "callsign".

PAth D callsign
Deletes path.

PAth W
Writes all new paths to PATHLIST.SP.

PAth W filename
Writes all paths into "filename".  No file path must be specified.

PAth W filename x
Writes all paths into "filename".  The qualifier "x" is a single letter
'A', 'D', or 'H':
A = write all active paths.
D = write all paths deleted with ESC-PATH DEL.

PCOPY
Usable on any channel other than 0 if all channels are unconnected.
All useful parameters are copied to all higher channels.  NOTE that
after using this command, SP should be restarted.

PF filename
Sends a file to the printer spooler.  In order for this command to work, the
DOS "PRINT.COM" (later "PRINT.EXE") must have been loaded.  The file is printed
in the background.

PRIV
Command for SYSOPs of TheBox. If BOXPW.SP exists and contains the appropriate
password, it is written into the entry buffer to be transmitted.

QRG xxx.xxx
Sets operating frequency, not syntax-checked.

QRT
Similar to Alt-X, usable to turn SP off via AT.SP.
If the command is followed by text, this text is stored in the TNC
as a temporary CTEXT.  Character conversion is active.
The ESC QRV command line is erased from the screen!

QRV
Displays the QRV list.

QRV C
Resets the alarm counters in the QRV list.

QRV C CALL
Erases CALL from the QRV list.

QRV CALL
Enters CALL into the QRV list.

QRV CALL,C
Enters CALL into the QRV list.  CALL is connected by SP automatically when
first heard on the frequency.

RB file
"file" is received in binary mode.

RDM TNC-Number
All monitor channel activity of the named TNC is redirected to the
current channel.  To cancel redirection, enter this command in the
monitor channel.

REM
Toggles remote commands for the channel, only usable if REM=1.

RING
Toggles action of the //RING command.  If on ("R" in FLAGS), then //RING
transmits an error message.


RM
Displays the status of all remote commands and allows changing of
privilege levels on a per-command basis.

RP
Deletes the path list.  (inside SP).

RP filename
Loads "filename" to be the new path list.

RT
Transmits a command which causes the remote station to echo the frame.
The current time, stored in this frame in hexadecimal, is used to determine
the round trip time.  If LTE=1 then the result is also reported to the
partner station.  Note that this is useful only if the remote station has
some sort of ECHO command.  The default is //EC, it can be changed by
executing ESC RT with an option, e.g. ESC RT 2 causes "//2 ..." to be
transmitted.  Refer to //RT for more info.

ESC RUN command
Executes a RUN command locally, the output of the command is written
to a special file which is called into ESC VI and later erased.

ESC SAVe
Turns SAVE on using the default file name.

ESC SAVe FILENAME
Turns SAVE on using FILENAME.

SB file
"file" is transmitted in binary mode.

SE text
Searches for "text" in the receive window.  If found, the text is
positioned in the first screen line (if there are sufficient lines
following).

SK
Shows the keyboard redefinition table set up with KEY=.

ST file
"file" is transmitted in text mode.

TP
Displays the most important TNC parameters in a pop-up window.

TYPE filename
Identical to VIEW.

UL [text]
Originally used for myself only...  Looks for a file USERS in the current
directory.  If found, searches for lines that start with "text" and
displays the first 65 characters of that line.  If entered without
a parameter, searches for the connected call sign.  The search field must
be delimited in USERS by space or semicolon!

UM [0-2]
Switches transmit german umlaut conversion.

USER
Shows the last 8 entries in LOG.SP.

USER CALL
Displays the most recent log entry for CALL.

VER
Verifies integrity of SP.EXE by running a checksum algorithm.

VIEW file
Displays "file" on the screen.

WFN filename
Allows displaying or changing of a file name during binary receive.

WK
Writes keyboard redefinition data set with ESC CFG KEY=... to CONFIG.SP.

WRap n
Sets the line wrap position for the current channel.  "n" must be a
number between 10 and 78.  If "n" is not specified, the current
setting is displayed in a pop-up window.

WW NAME
Saves the receive buffer in a file.  If no file name is specified, the
default SAVE file name is used.  SAVE is left on.  If the buffer has been
scrolled back, saved text starts with the first screen line.

XT
Displays all available text attributes.

remcmd
"remcmd" must be a valid remote command, which is executed and its output
transmitted to the connected station.


NOTE: the following ESC commands may be executed from AT.SP or using the
privileged remote command //ESC:

DO      FUL     FXL     HOS     HOLD
KILL    MB      MHC     NODE    PAC



    12 BACKSCROLLING

The currently selected terminal window can be backscrolled in
order to view off-screen data.  The number of rescrollable
lines depends on the amount of DOS memory remaining and can be
at most 409 lines (approx. 64k) per channel.
The number of rescrollable lines is displayed in the text entry
window at program start.

During backscroll, the following special keys can be used:

Grey -          Scrolls back 1 page and enables recall mode
Grey +          Scrolls forward 1 page, disables recall mode
                when the end of the buffer is reached.
Ctl-End         Redisplays the current screen page and disabled
                recall mode.  Changing TNC channels serves the
                same purpose.
Ctl-PrtScr      Scrolls to he beginning of the buffer (IBM ONLY).
Shift Grey +    Scrolls 1 line forward.  Disabled recall mode
                when the end of the buffer is reached (and its
                function reverts to changing screen size).
Shift grey -    Scrolls 1 line backward.

While SP is in recall mode, a status display is shown in place of the
frequency.  Example:
    R:050/220
This indicates, that the top line of the terminal window
corresponds to line 40 in the buffer (thus, 40 more lines can
be backscrolled) and that the total buffer size is 220 lines.


    13 REMOTE CONTROL

SP may be remote controlled in a way similar to Digicom.  Commands
are prefixed by two slashes starting in column 1, no blank space
may appear in the command unless a parameter has to be specified.
The portions of the commands written in lower case are optional.

Commands can be disabled for all users with the ESC RM command.
Privilege levels (1..9) set with ESC RM indicate only users with
that level or higher can access this command.  Note that SYSOP
commands can only be accessed if a) the caller has a high enough
privilege level and b) he has successfully used the //SYSOP
command!


    13.1 PRIV LEVELS

All remote commands may be assigned a PRIV level.  This is a value between
0 and 9.  Special meanings:

*   the caller is disconnected immediately
0   the command may never be executed
2   SP does not generate "Reconnected to"
3   no remote commands may be executed, no error messages are generated
    (useful for BBS).  Using a TheBox 1.9, this must also be set if
    automatic binary downloads are performed.

Assigning PRIV levels is something entirely up to the user, especially
grouping commands so certain people can or cannot execute them.  Note that
privileged commands cannot be executed unless the //SYSOP command has been
executed successfully, regardless of the level.

No station may execute a command with a level higher than its own.  Stations
are normally assigned level 1 unless otherwise specified on GREETING.SP.


    13.2 DESCRIPTION OF REMOTE COMMANDS

n text
        Sends "text" to channel "n".  This is the CHAT command.

All text
        "text" is sent to all connected stations.

Connect call TNC
        Intelligent digipeating.  A free channel is determined, if
        not found an error message is transmitted, otherwise, the
        channel is programmed with the caller's call sign and
        inverted SSID, and a connect request is initiated with the
        specified call sign.  The autorouting list is searched as
        if the connect request had been submitted locally.  If
        autorouting is performed, all incoming status messages are
        passed through.

        If, after a successful connect, the target
        station sends a DISC frame, the user remains logged into SP
        and can enter more remote commands or chat with the operator.

        IMPORTANT: If the "TNC" parameter is not specified, the TNC
        on which the command was received is used, except if the
        call sign is found in PATHLIST.SP.  Example:

        Logged into TNC 0, command "//C DB0CZ".  DB0CZ is known
        to the autorouter as reachable on TNC 1.  Thus, SP selects
        TNC 1 as though "//C DB0CZ 1" had been entered.
        If "//C DB0CZ 0" is entered, SP will try to use TNC 0.

        The TNC parameter must always be specified if the target
        call sign starts with a digit.  TNCs are numbered
        consecutively from 0.

        IMPORTANT:  SP will always select the highest-numbered free
        TNC channel for the outbound connect.

        If the target station cannot send a DISC, as with network nodes,
        the connection can still be disconnected by sending "^D^D^M";
        two Control-D followed by RETURN (Enter).  This combination
        must arrive in 1 Frame.

CAtalog
        Display list of infofiles.  Wildcards (* or ?) may be specified.
        If the user has messages, they are displayed, too.
        Path specifications may be used.

COnv n
        Enter converse mode.

CStatus
        Displays connect status for all channels, "*" indicates the
        currently selected channel on the console.  "<" is shown, if
        the connect has been received from the outside,
        ">" is shown if SP has initiated the connect.
        Only active channels are displayed.

Discon
        Immediately disconnects without a QRT text.

Echo x
        The text 'x' is retransmitted to the caller.

Help
        Displays help for remote commands.  Depending on user call
        sign, REMHLPD.SP (german) or REMHLPW.SP (english) is transmitted.
        Both files are editable text.

Info
        Display info text.  This text is stored in INFO.SP by the
        SYSOP and must be located in SPDIR.
        If a file MYCALL.INF (where MYCALL is the call of the connected
        channel) is found, it is transmitted instead.

Kill file
        Kill personal message.
        The message is renamed to CALLSIGN.$xx where 'xx' is a number,
        depending on the number of erased messages.  The operator
        must delete this file.

Lans
        Displays LAN-definitions (L>=).

MAIL
        (Useful on node channels)
        //MAIL checks for mail, //MAIL FILENAME reads it,
        //MAIL K FILENAME kills it.  Omit the "//" on a node channel.

MHeard
        The heard list for the current operating frequency is
        displayed (call signs only).

MHeard L
        The heard list for the current operating frequencies is
        displayed.

MHeard T
        If TIC=1 is set, then the 7 most recently heard calls
        are shown.

MHeard n
        "n" must be a TNC-number.  The heard list only for that
        TNC is transmitted in short form.

MHeard Call
        Only heard list entries containing "Call" are shown; "Call"
        may be partial, i.e. "//MH DL1" will show all DL1-callsigns.

MON
        The last "xx" lines in the monitor channel are transmitted.
        "xx" is set by MLN= (normally 10).  A SYSOP may specify a
        different value, e.g. "//MON 50".

NAme
        Displays the name set in GREETING.SP.

Name name
        If no entry exists in GREETING.SP, "name" is entered.  An
        existing entry cannot be changed.

Nodes
        TheNet broadcast nodes are displayed.

NEws
        Displays the contents of NEWS.SP.

Path
        Displays all connectable terminal stations in the path list.
        Identical to //T.

Path L
        Displays all applicable autorouting paths for the operating
        frequency.  Important: no characters may follow the "L"!

Path call
        Displays autorouting path for 'call'.

PARam
        Displays imprtant TNC parameters.

Quit
        A disconnect is performed as soon as there are no more
        unacknowledged frames.  Disconnect date and time are
        transmitted before disconnecting.

Read file
        Read infofile or personal message.  No paths may be specified,
        the file name must be specified completely.
        Path specifications may be used.

RESET
        SYSOP command to reset the computer.

RIng
        Rings the bell if this function is enabled, otherwise transmits
        an error message.  if the maximum ring count is exceeded by three,
        SP disconnects the channel.

RPrg fn
        The file named 'fn' is transmitted in binary mode, no
        path may be specified.

RT
        This command is used by the ESC RT command, it should not be
        issued manually.

SYsop
        This is the new, FlexNet compatible SYSOP authentication command.
        PASSWD.SP contains a list of "secret numbers" in the format
        CALL=NUMBER.  The corresponding entries must be listed in
        the file FLEXPW.SP for the QSO partner.  The secret number is
        in the range 0..32767.  EXAMPLE:
        I assign OE1YSS the number 12345, OE1YSS assigns me 54321.
        Thus, I write OE1YSS=12345 in PASSWD.SP and OE1YSS=54321 in
        FLEXPW.SP, and OE1YSS reverses the process.

SYsop ?
        Displays the privilege status, 0=off, 1=on.

SYsop 0
        Disable SYSOP mode.

Terms
        Identical to //P except that no parameters may be specified.

TIme
        Displays login time, current time and byte count.

Users
        Displays the last 10-15 log entries.  This command is not
        listed by the //I command.

Version
        Displays SP version number, TNCs, channels and free memory.

WPrg fn
        The file named 'fn' is received in binary mode, no
        path may be specified.  The sender must wait for a status
        message before initiating transmit on his end.

Write
        Displays a message indicating whether incoming data is saved.

Write Call
        Send personal message to Call, await prompt, then enter
        message and terminate with //W OFF, Ctl-Z or //Q.
        The recipient is notified of a message waiting at his next
        login.  Inportant:  SP checks the call sign for validity.

Write Filename
        Send a public message which can be read by anyone.  The file
        must not exist.

A note to //R, //W, //CAT, //RPRG, //WPRG:

All files are stored in RMP=.  Personal messages have the recipient's
call sign and an arbitrary extension.  Users entering invalid call
signs are sure that the message will never reach the recipient!

Using WPRG, the file must not pre-exist.

If a personal message file written with //W already exists,
all text is appended, with info files, the command is aborted.


    13.3 SYSOP MODE

Privileged callers are allowed the following additional remote
commands:

ESC cmd
        The command is passed thrugh to the ESC processor.  Dangerous
        commands may cause a crash!

DO fn   The file 'fn' is processed.  This command is identical
        to the local command "ESC DO".

Mheard C
        The heard list is cleared.

XDOS c  Using "//XDOS commandline", a privileged user may execute an
        arbitrary DOS command.  Sufficient free memory must be available
        to execute the command, and the program must not be interactive.
        The text output from the command is stored in a file named
        "!DOS!" in the current directory.  This file is transmitted
        as soon as the command is done.

TNc n s The string 's' is sent to channel 'n' as a TNC command.
        The TNC's response is not returned. Both parameters MUST be used!

All limitations listed above concerning the read- and write-
commands are lifted.  Full path names, also in //CAT, are
allowed.  //W can be used to store an arbitrary text file,
overwriting a file by the same name.  Using //R, an arbitrary
text file can be read.  //WPRG will overwrite any file by
the same name.

The following conditions must be satisfied in order to achieve
SYSOP status:

1. The operator must have installed a file named 'PASSWD.SP'.
2. The caller's call sign must be present in the file.
3. The caller must have successfully issued the //SYSOP command.

If a caller has SYSOP status, the channel number in the top status
line of the corresponding channel blinks.  Additionally, " (P)" is
appended to his call sign in LOG.SP.


    14 CONVERS MODE

Converse mode is entered using the //CONV command.  A channel
number between 0 and 255 can be specified.

In converse mode, any text not starting with "/" is transmitted
to all stations using converse in the same converse channel.
The originator's call sign is prepended to the text in order to
identify it, UNLESS multiple lines are received from the same
station.

//-remote commands cannot be used in converse mode, however the
following commands are allowed:

    /H      display help
    /C n    switch to converse channel 'n'
    /W      who is using converse?  TNC-channel, call sign and
            converse channel are output
    /Q      quit converse (remain connected)
    /D      quit converse and disconnect
    /S n t  send text 't' to TNC-channel 'n'

The SYSOP can participate from the local console.  In order to do
so, he enters the Alt-J command on an unconnected data channel.
Access to the "/"-commands is provided as above.  When the SYSOP
enters text, it is marked with the corresponding MYCALL.

The SYSOP operating from the local console has the following
additional converse-commands:

    /U n    Terminates converse for TNC-channel 'n'.
    /J n    Joins TNC-channel 'n' to converse.

While the SYSOP is in converse mode, the status flags are replaced
by "CONVERS".  Pressing Alt-G again disables SYSOP converse mode.
The SYSOP does not cause "on" or "off" messages.

Converse status messages:

<Call> logged on
    Someone used //CONV or selected the current converse channel
    using the /C command.
<Call> logged off
    Someone used /Q or /D, or he was disconnected.
<Call> QSY to Ch x
    Someone selected a different converse channel using /C.

Converse status messages are always in english.

Important: When exiting with Alt-X, Converse paramteres are lost.
After a subsequent restart, all users are in normal interactive mode.


    15 BINARY TRANSFERS

Binary files can be transferred using ESC SB (send) and ESC RB
(receive).  The receiver first opens a file with ESC RB, then the
sender opens his file with ESC SB.  The number of bytes remaining
is displayed in place of the operating frequency.

Note that the receiver should enter ESC RB before the sender transmits
the #BIN# sequence.  This is especially critical if the sender was
commanded with //RPRG.

Binary transfer can be aborted with Alt-K.

Sequence of events:
1. Receiver enters ESC RB filename.
2. Sender enters ESC SB filename.
3. Sending program transmits "#BIN#n" where 'n' is the number of
   bytes in the file.
4. Receiving program transmits "#OK#".
5. Sending program transmits file.
6. When finished (byte count decremented to zero), receiving
   program closes the file and transmits "#OK#nnnn" where 'nnnn'
   is a decimal 16-bit CRC.  This value is also displayed on the
   console screen at the end of send or receive.

If the transfer is aborted, the incomplete file is deleted.
The file is also deleted if the CRC check fails.

The exact IDs exchanged by the two partners are:

#BIN#nnnnn#|ccccc$xxxxx#fn#
    nnnnn = length in bytes
    ccccc = CRC of the whole file
    xxxxx = packed file date and time
    fn    = file name

#OK#fn#
    fn    = file name


    15.1 AUTOMATIC BINARY TRANSFER

Starting with version 5.00, files can be transferred automatically.
In this case, one station is completely inactive.  The requesting
station simply transmits one command.  BOTH stations must be using
SP 5 or SP 6.

Transmitting a file:

ENTER:  //WPRG HISFILE MYFILE

If the file can be opened, the remote station transmits the
command //RPRG MYFILE.

Receiving a file:

ENTER:  //RPRG HISFILE MYFILE

If the file was found, the remote station transmits the
command //WPRG MYFILE `

The "`" is used to signal that the receiving station must not
transmit a starting prompt.  This character is the accent mark,
ASCII 0x60.

NOTE:

HISFILE is the name of a file on the remote station's disk.  If this
name contains a path specification, the //PRI command must have been
used successfully.

MYFILE is the name of a file on your own disk.  If this name contains a
path specification, you must have used the ESC SB command to enable
SYSOP mode.


    15.2 BINCHAT

While engaged in a binary transfer, both stations may freely type back and
forth without influencing the binary transfer.  Note that this will cause
severe problems if the network modifies packet lengths!


    15.3 BOXBIN

Users of TheBox version 1.9 can transmit binary files as usual with
the ESC SB command.  If the mailbox has a PRIV-level of 3, then
receiving binary files is automatic - simply issue a READ command.
If the file was stored by someone using SP 6.10, then the original
file name and date are restored as well, otherwise the file is
named CALL.nnn where CALL is the call sign of the mailbox and nnn is
a sequence number starting at 000.


    16 AUTOROUTING

Every connect command using Alt-C or //C is a candidate for autorouting.
If a connect is attempted to a station listed in PATHLIST.SP, the stored
path is used.  The call sign must be specified exactly as stored.

In order to override autorouting, "ESC C" must be used as connect
command rather than Alt-C.

The operating frequency must be known to SP in order to autorouting
to work.

Normally, a failed attempt results in a disconnect from the network
entry station.  By appending " /" to the connect command, a partially
successful connection is not disconnected.  Example:
Assume that DL0AMP is not responding.
Path: 438.175:DL6MBI N>MW70-* N>DB0PV-5 N>DB0AAB-2 N>DL0AMP-2
* C DL6MBI
After the failure with DL0AMP, a disconnect is issued.
*C DL6MBI /
After the failure, connection remains with DB0AAB-2.

All target call signs stored in PATHLIST.SP - even LANs if they are not
simple digipeaters - may be connected with Alt-C or //C from remote.

It is possible to connect "via" a LAN, e.g. "Alt-C DB0CZ =PLBG".

When the target call is reached, an acoustic signal is sounded.


    16.1 PECULIARITIES

Connects may be performed in four different ways:


    16.1.1 AUTOROUTING WITH ALT-C

If after pressing Alt-C a call sign is entered, SP searches the path
list top to bottom.  The first path found is used for routing.
If NO path is found, SP will attempt a direct connect as though
ESC-C had been entered.

Alt-C may also be used if a partial connection exists and the cuurently
connected node is part of the new path.


    16.1.2 AUTOROUTING WITH //C

Nearly identical to Alt-C, except that this command can only be used
by remote callers (less the "//" if entered on a node channel).

The exception is that, as described later in 6.1., SP selects the
appropriate TNC if multiple TNCs are used or the TNC is specified.


    16.1.3 AUTOROUTING WITH F-KEYS

If a connect is initiated with Alt-F1..Alt-F10, a path for the
corresponding key must exist (consult Alt-F).  In this case,
an alternative path may be used.  Using this key combination, it is
possible to select one of the ten topmost paths specified in PATHLIST.SP
for the current frequency.  SP requests verification before starting
the connect sequence.


    16.1.4 AUTOROUING WITH ALT-C/ENTER

If, after pressing Alt-C, the Enter key is pressed, SP displays as
many paths as fit on the screen in a menu.  Using the cursor keys,
one path may be selected and executed with Enter or aborted with ESC.

PgUp and PgDn may be used if there are more paths than fit on the screen.

If "E" is pressed, the path is written into the entry window for
possible editing.


    18 PATH LEARNING

The ESC-command LEARN may be used to tell SP to memorize a connect
sequence for subsequent generation of an PATHLIST.SP entry.

The following sequence of events must strictly be adhered to:

1. Enter ESC LE, "L" is shown in the flags display.  Only one
   channel may be LEARNed at a time.

2. Enter the connect command to the first node.  Alt-C may only be used
   if it refers to a LAN.

3. Enter ESC-LE again.  The proposed path is displayed and awaiting
   verification with "Y".  If the path is accepted, it is immediately
   appended to PATHLIST.SP.

NOTE:

- LEARN is aborted with DISC.

- LEARN may be terminated at any time using ESC-LE.  The path is
  shown and may be accepted or discarded.

- While LEARN is active, the cursor may not be moved and nothing
  may be typed until the "connected to" response is received!

- The path is normally stored for the operating frequency, if the
  first connect referred to a LAN, it is stored with XXX.XXX.


    19 AUTOCONNECT

Autoconnect can be initiated by the ESC-command "DO",
by issuing the remote SYSOP command "//DO", or automatically
at a preprogrammed time.


    19.1 AUTOCONNECT WITH DO COMMAND

After pressing the Esc key, enter "DO filename".  The contents of
this file are processed automatically, a disconnect is performed
at end of file.  The file name is usually a call sign with
appended ".DO", as in "DB0CZ.DO", however, any arbitrary file
name can be used.  The file must be located in SPDIR.
The same applies to "//DO filename" if the caller has become SYSOP
by using the "//SYSOP" command.


    19.2 AUTOCONNECT AT PRESET TIME

The file AT.SP is checked for autoconnects after every full
minute.  If this is the case, the corresponding file is
processed as if a "DO" command had been entered.  More than one
DO-files can be active at one time.


    19.3 DO FILE FORMAT

DO-files are also line oriented.
Line 1 : exact target call sign
Line 2 : prompt
All following lines are transmitted, one at a time, every time the
prompt is received.  These lines usually contain commands for a
mail box.

If a line starts with "!!!" or "!!?", the remainder of the line
is taken to be a file name and its contents are transmitted en bloc.
If the file cannot be found, the line is ignored.  "!!!" transmits
the file at every autoconnect, "!!?" erases the file after a
successful transmission (after receiving the next prompt).
This file, if it contains a SEND command for a mail box, must
also contain the ending sequence for that box, no Control-Z is
transmitted.  An exception to that rule is a DO command followed by a
space and a string:  the string is transmitted at the end of the file.
Example:
!!!MAIL.TXT ***END\r
The string must not be longer than 7 characters.  The "\r" is
mandatory in this case, or just use \Z.

A line starting with "!!1" sets a new prompt.  The prompt must
follow the "1" immediately.

A line starting with "!!P" transmits the TheBox PRIV command.

A line starting with "!!@" disables autoconnect without disconnecting.

!!Sfilename transmits a binary file.

!!Rfilename receives a binary file.

!!2filename opens a new SAVE file.

!!Dcommand executes a DOS command

!!Mtext
defines a text which is used for a match condition.

!!Yn
defines the number of lines (n) not counting comments, which are to
be skipped if the match condition is satisfied.

!!Nn
defines the number of lines (n) not counting comments, which are to
be skipped if the match condition is not satisfied.

The following example calls OE9XPI, reads and kills my mail, then
performs a CHECK command>
      OE9XPI
      de OE9XPI>
      !!MKeine Nachrichten
      !!Y2
      R DL1MEN 1-
      E DL1MEN 1-
      CHECK
      QUIT

NOTES to line 1:

1. If the first line starts with a "!" then the remainder of the line
   is used to set the outgoing MYCALL.
2. The target call sign must be found in PATHLIST.SP!


    19.4 SEQUENCE OF EVENTS

After initiating a DO command (manually or automatically), the
corresponding DO-file is opened.

Next, call sign and prompt are read and the connect is made
using the autorouter.  IMPORTANT:  A path must be defined in PATHLIST.SP!

If SAVE-file is off at this time, it is enabled automatically (and
disabled when DO has finished).  The file name is "MMDDhhmm.DSV"
where MM=Month, DD=Day, hh=hour, mm=Minute.  Note that in this case
no two Autoconnects must start at the same time!!!

Every time a prompt is received, one line, terminated by RETURN,
is transmitted, starting with line 4.

After at least 15 minutes and at most 20 minutes with no received
data, the connection is terminated.

If Alt-K is pressed, further processing is aborted, the connection
is not disconnected.


    19.5 EXAMPLE

The following text is an example.  The indented comments must not
appear in the file.

!DL1MEN         regardless of the current setting, set new MYCALL
DB0CZ           call sign (direct or specified in PATHLIST.SP)
de DB0CZ>       prompt
R               read own messages
E DL1MEN 1-     erase read messages
C               check new info
!!!MSG.TXT      transmit entire contents of MSG.TXT
!!?MORE.TXT     transmit entire contents of MORE.TXT, erase at end
Q               log off (not mandatory since SP disconnects at EOF)


    20 THENET SYSOP SUPPORT

If NETROMPW.SP exists (A.12), a TheNet or NET/ROM SYSOP can automatically
become node SYSOP simply by executing the "S" command.  SP receives
the password prompt, evaluates it and places the correct password
into the keyboard buffer.  It is important not to switch channels
while waiting for a password prompt.

In order to easily change parameters, ESC PAR can now be used:

ESC PAR p w
"p" indicates the parameter number as shown by SP when the node "P"
command is executed, and "w" indicates the new value to be set.
SP automatically inserts the appropriate number of "*" characters.

NOTE: TheNet / NETROM are a dying breed, at least where throughput
is desired.  I will not adapt the parameter routines to newer versions.


    21 FLEXNET PASSWORD

The file FLEXPW.SP contains secret numbers for FlexNet nodes.  There
is one node per line as in the example:
OE5XLR=12345
OE3XLR=23419

To generate a password, simply issue the SY command to the node, the password
is generated as soon as the prompt is received back and written into the
entry buffer for manual transmission.


    22 EXTENSION OF REMOTE COMMANDS

Remote commands can be extended through external programs which are
stored in the RUN= directory.  Any such program can be executed simply as
if it were a remote command, e.g. //QTH.

IBM REQUIREMENTS:

- .EXE or .COM file
- no keyboard input
- text output only through DOS (no BIOS, no direct screen)
- either complete evaluation of the command line or else the program
  must totally ignore the command line.

The command line passed to the program consists of the remainder of the
remote command line, followed by PRIV-level, SYSOP-flag and call sign.

Assuming, OE1YSS issues the command  //QTH JN58TD JO50VA
then the program is passed:  JN58TD JO50VA 9 0 OE1YSS

NOTE that a SYSOP has a special command syntax available.  The SYSOP
may prepend the full path of a program, in whcih case no extraneous
information is passed.  Example:
    //C:\BIN\CHKDSK


    23 CHARACTER TRANSLATION:

The character translation routine is active under the following
circumstances:

- Transmission of an //ECHO text
- Transmission of a fixed text (Shift-F)
- Transmission of a CTEXT

The following special character combinations are possible:

\r = transmit a return (new line)
\7 = transmit the bell character
\t = transmit throughput in bytes/sec
\Z = transmit Control-Z
\D = transmit current date
\T = transmit current time
\L = transmit login time
\C = transmit caller's call sign
\M = transmit MYCALL
\N = transmit name of caller (or "dr OM" if unknown)
\K = transmit channel number
\V = transmit SP version number
\Q = transmit frequency
\X = transmit the next two hexadecimal digits as a character
     (example: transmit ESCAPE: \X1B
\\ = transmit a backslash

Example (excerpt from PFKEYS.SP):

\F1=SP Version \V\rWelcome \C at \M Channel \K on \D at \T!\r\r\C de\M>

When pressing Shift-F1, the following text might be sent:

SP Version 6.10.03
Welcome OE1YSS at DL1MEN Channel 1 on 11/11/92 at 11:11:11!

OE1YSS de DL1MEN>


    24 DRSI SUPPORT

The DRSI PC*PACKET adapter may be used in place of, or in addition
to, a TNC 2.

The corresponding driver, TNCTSR-S.EXE, must have been loaded before
starting SP.  Using this driver, up to 10 channels may be used.
TNCTSR-L.EXE allows 32 channels, it cannot be used, however, due
to the large amount of memory it requires.

The average system will allow SP to run approximately 18 channels
if a PC*PA and a TNC2 are installed before running out of memory.

The PC*PA uses the same command syntax as the WA8DED 2.3 hostmode
firmware (refer to DRSI manual).

Important: "unattended mode" should be enabled with TAILOR22.EXE.


    24.1 DRSI INSTALLATION

The following explanation assumes you have the PCTNC 2.1 disk (c) 1990
DRSI, Inc.  If you have an older version, it is strongly suggested that
you obtain an update.

1 - Files required from the disk:

  TNCTSR-S.EXE   DRSI-driver for a maximum of 10 channels.
  TNCTSR-L.EXE   32-channel driver.
  TAILOR22.EXE   Configuration utility.

2 - Configuration:

  The PCPA card is configured according to the DRSI manual making sure
  there are no port or interrupt conflicts.

  Execute TAILOR22 to configure the drivers.  The configuration menu
  should be self-explanatory.  Be sure that the parameters of port 0
  and port 1 are made identical when using a type 2 card.  Port 1 is
  set to 300 baud by default!

  After the configuration, the drivers should be copied into a
  subdirectory accessible by the DOS PATH variable.  Depending on
  whether 32 or 10 channels are desired, the line
  TNCTSR-L
  or
  TNCTSR-S
  should be added to AUTOEXEC.BAT.

  The plug-in card is to be installed in the PC and bolted down
  tightly since the rear cover is used for analog ground.

After booting the PC, the following text should appear on the screen:

PC/TNC, version 2.1, (resident)
Copyright 1989, Software 2000, Inc.

Digital Radio Systems, Inc. PC*Packet Adapter

LOAD COMPLETED

C>

The following parameters should be set in CONFIG.SP:
CFG=PORT0:D

Use the following under DOS5 when TNCTSR has been loaded high:
CFG=PORT0:DH

The CHANS0: parameter sets the number of channels as usual.

3 - PROBLEMS?

  During installation a number of problems can occur:

  - LOAD COMPLETED not displayed, computer hangs:
    Invalid port or IRQ selected, number of adapters not set correctly,
    port conflict, IRQ conflict, no PC*PA installed.

  - LOAD COMPLETED displayed slowly, one character at a time, computer
    behaves strangely:
        No ground potential on the mounting bracket.

  - SP displays: ERROR: PC*PA not found
    TNCTSR-S or -L not loaded.

  - SP starts up, the INVALID CHANNEL NUMBER is displayed constantly:
    More than 10 channels seleced with TNCTSR-S, or more than 32
        channels selected with TNCTSR-L.

  - SP starts up, then crashes:
    More than one PC*PA specified in CONFIG.SP.


    25 TFPCR

Please refer to the file TFPCR.ENG for further information.


    26 PROBLEMS

- In case of problems when using a keyboard driver (KEYB etc), the
  baud rate between TNC and PC should be decreased, or DOS 3.2
  KEYB.COM should be used (do not use DOS 3.3 KEYBxx.COM!)
  If problems persist, try the following:

  1. Remove all TSR programs from AUTOEXEC.BAT.
  2. Remove all drivers (except disk drivers) from CONFIG.SYS.
  3. Start SP.  If SP still does not run correctly, delete AUTOEXEC.BAT
     and reboot.  If still no success, send a message to DL1MEN @ DB0CZ
     with a complete system description.
  4. If SP runs correctly now, reinsert all deleted utilities and
     drivers, one at a time (reboot every time!)
  5. Do not use the utility identified as the culprit.

  Problems have been identified with various "hot-key" utilities and
  keyboard enhancers (such as NDE).


    27 MISCELLANEOUS


    27.2 RAMDISK (IBM)

A ramdisk may be used to buffer screens, thus allowing a full 409 lines
of backscroll buffer per channel (provided there is enough room).

Simply set SWP= to the NUMBER of the ramdisk drive (C: = 3, D: = 4 etc),
and SP will do the rest.  REC=0 should be set.  Note that 80386 users
with DOS5 should use XMS instead (SWP=1).




                    SP DISTRIBUTION

If you want the latest version, please send a blank, unformatted
disk (or an old SP disk) with sufficient return postage (NO IRCS
PLEASE!!!) to:

Sigi Kluger
Richard-Strauss-Str 19
D-8000 Mnchen 80

Please do not send mailing labels!

If you send a donation of DM 60.00 (or equivalent) or higher, you
will be placed on the automatic update list.

Source code is only supplied when a license agreement is signed and
accompanied by payment of DM 300.00, or SFR 300.00 or USD 200.00 or
GBP 100.00 in cash or equivalent.  The license agreement is provided
upon request.

Due to the extremely low volume of english-language requests, I beg you
to understand that I cannot supply a printed manual.

NOTE:  PLEASE STATE CLEARLY WHETHER YOU REQUIRE SP FOR THE IBM OR
THE ATARI!!!



            F U T U R E

SP has truly reached the end of PC capacity.  I doubt that there will
be a version beyond 6.10, except for bug fixes.  SP may at one point
or another be ported to OS/2 2.0.


            ACKNOWLEDGEMENTS

I would like to express my thanks to all who have helped make SP what
it is today,  my special thanks go to all who have tested beta
versions and helped promote SP.  The incomplete list includes
OE1YSS OE1HHC DG3YFU DL8MFJ DL1MCX DJ7CO W4/DG3SAJ WA6FWI.



            FORGOTTEN?

I apologize for anything I forgot to document.  I wish I had a business
and could affort to pay someone to write a manual.  This translation
has been hacked from the SP5 manual and lots of translating the german
manual (which in itself is somewhat incomplete).  There are almost no
undocumented features hidden in SP.


73.............
